/**********************************************************************/
/**                                                                  **/
/** Copyright (c) 2007 WEG - All Rights reserved.                    **/
/**                                                                  **/
/** Device        : SSW7000 with Anybus-CC interface                  **/
/** Communication : PROFIBUS DP                                      **/
/**                                                                  **/
/**********************************************************************/


MANUFACTURER	268,
DEVICE_TYPE		2,
DEVICE_REVISION	140,
DD_REVISION		1,
EDD_PROFILE		0x03

#include "SSW7000_Anybus_Vars.inc"
#include "SSW7000_Anybus_Menus.inc"

/* Tableview */

MENU Table_Main_Specialist
{
	LABEL "SSW7000";
	ITEMS
	{
		M01,
		M04,
		M05,
		M06,
		M07,
		M08
	}
}

MENU Table_Main_Maintenance
{
	LABEL "SSW7000";
	ITEMS
	{
		M01,
		M04,
		M05,
		M06,
		M07,
		M08
	}
}

/* Menu */
MENU Menu_Main_Specialist
{
	LABEL "SSW7000";
	ITEMS
	{
		Menu_Device
	}
}

MENU Menu_Main_Maintenance
{
	LABEL "SSW7000";
	ITEMS
	{
		Menu_Device
	}
}

MENU Menu_Device
{
	LABEL "SSW7000";
	ITEMS
	{
		OnlineWindow_display,
		Status_Control_Dialog,
		IO_Dialog,
		Communication_Dialog,
		SEPARATOR,
		D01
	}
}

MENU OnlineWindow_display
{
	LABEL           "Online Dialog";
	ITEMS
	{
		P0001,
		P0002,
		P0003,
		P0004,
		P0005,
		P0006,
		P0007,
		P0008,
		P0009,
		P0010,
		P0011,
		P0012,
		P0013,
		P0014,
		P0015,
		P0018,
		P0019,
		P0020,
		P0021,
		P0030,
		P0031,
		COLUMNBREAK,
		P0032,
		P0033,
		P0034,
		P0035,
		P0047,
		P0048,
		P0049,
		P0050,
		P0053,
		P0054,
		P0055,
		P0056,
		P0057,
		P0058,
		P0059,
		P0060,
		P0061,
		P0062,
		P0063,
		P0064,
		P0065,
		COLUMNBREAK,
		P0066,
		P0067,
		P0068,
		P0069,
		P0070,
		P0071,
		P0072,
		P0073,
		P0074,
		P0077,
		P0078,
		P0079,
		P0080,
		P0081,
		P0082,
		P0083,
		P0084,
		P0085,
		P0086,
		P0087,
		P0680
	}
}

/* IOs */
MENU IO_Dialog
{
	LABEL "I/O Configuration";
	STYLE DIALOG;
	ITEMS
	{

		DI_Page,
		DO_Page,
		AI_Page,
		AO_Page,
		DO_Control_Page,
		AO_Control_Page
	}
}

MENU DI_Page
{
	LABEL "DI";
	STYLE PAGE;
	ITEMS
	{

		P0012,
		COLUMNBREAK,
		P0263,
		P0264,
		P0265,
		P0266,
		P0267,
		P0268
	}
}

MENU DO_Page
{
	LABEL "DO";
	STYLE PAGE;
	ITEMS
	{

		P0013,
		COLUMNBREAK,
		P0275,
		P0276,
		P0277
	}
}

MENU AI_Page
{
	LABEL "AI";
	STYLE PAGE;
	ITEMS
	{

		P0018,
		P0231,
		P0232,
		P0233,
		P0234,
		P0235,
		COLUMNBREAK,
		P0019,
		P0236,
		P0237,
		P0238,
		P0239,
		P0240
	}
}

MENU AO_Page
{
	LABEL "AO";
	STYLE PAGE;
	ITEMS
	{

		P0014,
		P0251,
		P0252,
		P0253,
		COLUMNBREAK,
		P0015,
		P0254,
		P0255,
		P0256
	}
}

MENU DO_Control_Page
{
	LABEL "DO Control";
	STYLE PAGE;
	ITEMS
	{

		[DO_Control_Message],
		P0695

	}
}
MENU AO_Control_Page
{
	LABEL "AO Control";
	STYLE PAGE;
	ITEMS
	{

		[AO_Control_Message],
		P0696
	}
}

/* Status and control */
MENU Status_Control_Dialog
{
	LABEL [Status_Control_Dialog];
	STYLE DIALOG;
	ITEMS
	{

		Status_Control_Page,
		Control_Sources_Page
	}
}

MENU Status_Control_Page
{
	LABEL [Status_Control_Page];
	STYLE PAGE;
	ITEMS
	{

		P0680,
		COLUMNBREAK,
		P0686
	}
}

MENU Control_Sources_Page
{
	LABEL [Control_Sources_Page];
	STYLE PAGE;
	ITEMS
	{

		P0220,
		P0228,
		P0229,
		P0230
	}
}

/* Communication configuration */
MENU Communication_Dialog
{
	LABEL [Communication_Dialog];
	STYLE DIALOG;
	ITEMS
	{

		[Reset_Warning],
		P0723,
		P0724,
		P0725,
		ROWBREAK,
		Read_Parameters_Group,
		COLUMNBREAK,
		Write_Parameters_Group
	}
}

MENU Read_Parameters_Group
{
	LABEL [Read_Parameters_Group];
	STYLE GROUP;
	ITEMS
	{

		[Anybus_Read_Word_1],

		P0728,
		P0729,
		P0730,
		P0731,
		P0732,
		P0733,
		P0734,
		P0735,
		P0736,
		P0737,
		P0738,
		P0739,
		P0740,
		P0741,
		P0742,
		P0743,
		P0744,
		P0745,
		P0746,
		P0747,
		P0748,
		P0749,
		P0750
	}
}

MENU Write_Parameters_Group
{
	LABEL [Write_Parameters_Group];
	STYLE GROUP;
	ITEMS
	{

		[Anybus_Write_Word_1],

		P0751,
		P0752,
		P0753,
		P0754,
		P0755
	}
}











