// EDD file for SSW7000 with Anybus
// File name:	SSW7000_Anybus_Vars.inc
// Date:		24/06/2015


VARIABLE P0001
{
	LABEL "P0001 SSW Current|de|P0001 SSW Strom|es|P0001 Corriente del SSW";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0001
{
	SLOT 0;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0001 }
	}
}

VARIABLE P0002
{
	LABEL "P0002 Motor Current (%)|de|P0002 Motorstrom in %|es|P0002 Corriente del Motor %";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0002
{
	SLOT 0;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0002 }
	}
}

VARIABLE P0003
{
	LABEL "P0003 Motor Current (A)|de|P0003 Motorstrom in A|es|P0003 Corriente del Motor A";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0003
{
	SLOT 0;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0003 }
	}
}

VARIABLE P0004
{
	LABEL "P0004 Main Line Voltage|de|P0004 Netzspannung|es|P0004 Tensin Alimentacin";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0004
{
	SLOT 0;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0004 }
	}
}

VARIABLE P0005
{
	LABEL "P0005 Main Line Frequency|de|P0005 Netzfrequenz|es|P0005 Frecuenc.Alimentacin";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "Hz";
	HANDLING READ;
}

COMMAND READ_P0005
{
	SLOT 0;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0005 }
	}
}

VARIABLE P0006
{
	LABEL "P0006 SSW Status|de|P0006 SSW Status|es|P0006 Estado del SSW";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauframpe|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauframpe|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P831|de|Pause P831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|Gen. Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0006
{
	SLOT 0;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0006 }
	}
}

VARIABLE P0007
{
	LABEL "P0007 Output Voltage|de|P0007 Ausgangsspannung|es|P0007 Tensin de Salida";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0007
{
	SLOT 0;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0007 }
	}
}

VARIABLE P0008
{
	LABEL "P0008 Power Factor|de|P0008 Leistungsfaktor|es|P0008 Factor de Potencia";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	HANDLING READ;
}

COMMAND READ_P0008
{
	SLOT 0;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0008 }
	}
}

VARIABLE P0009
{
	LABEL "P0009 Motor Torque|de|P0009 Motordrehmoment|es|P0009 Torque del Motor";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0009
{
	SLOT 0;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0009 }
	}
}

VARIABLE P0010
{
	LABEL "P0010 Output Power|de|P0010 Ausgangsleistung|es|P0010 Potencia de Salida";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "kW";
	HANDLING READ;
}

COMMAND READ_P0010
{
	SLOT 0;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0010 }
	}
}

VARIABLE P0011
{
	LABEL "P0011 Output Apparent Power|de|P0011 Scheinleistung|es|P0011 Potencia Aparente";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "kVA";
	HANDLING READ;
}

COMMAND READ_P0011
{
	SLOT 0;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0011 }
	}
}

VARIABLE P0012
{
	LABEL "P0012 DI6 to DI1 Status|de|P0012 DI6...DI1 Status|es|P0012 Estado DI6 a DI1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 63;
	}
	HANDLING READ;
}

COMMAND READ_P0012
{
	SLOT 0;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0012 }
	}
}

VARIABLE P0013
{
	LABEL "P0013 DO3 to DO1 Status|de|P0013 DO3...DO1 Status|es|P0013 Estado DO3 a DO1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 7;
	}
	HANDLING READ;
}

COMMAND READ_P0013
{
	SLOT 0;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0013 }
	}
}

VARIABLE P0014
{
	LABEL "P0014 AO1 Value       |de|P0014 AO1 Wert|es|P0014 Valor de la AO1    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0014
{
	SLOT 0;
	INDEX 13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0014 }
	}
}

VARIABLE P0015
{
	LABEL "P0015 AO2 Value       |de|P0015 AO2 Wert|es|P0015 Valor de la AO2    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0015
{
	SLOT 0;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0015 }
	}
}

VARIABLE P0018
{
	LABEL "P0018 AI1 Value       |de|P0018 AI1 Wert|es|P0018 Valor de la AI1    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0018
{
	SLOT 0;
	INDEX 17;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0018 }
	}
}

VARIABLE P0019
{
	LABEL "P0019 AI2 Value       |de|P0019 AI2 Wert|es|P0019 Valor de la AI2    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0019
{
	SLOT 0;
	INDEX 18;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0019 }
	}
}

VARIABLE P0020
{
	LABEL "P0020 Present Fault|de|P0020 Aktueller Fehler|es|P0020 Falla Actual";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0020
{
	SLOT 0;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0020 }
	}
}

VARIABLE P0021
{
	LABEL "P0021 Present Alarm      |de|P0021 Aktueller Alarm|es|P0021 Alarma Actual";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0021
{
	SLOT 0;
	INDEX 20;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0021 }
	}
}

VARIABLE P0023
{
	LABEL "P0023 C1 Software Version|de|P0023 Softwareversion C1|es|P0023 Versin Software C1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	HANDLING READ;
}

COMMAND READ_P0023
{
	SLOT 0;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0023 }
	}
}

VARIABLE P0027
{
	LABEL "P0027 Accessories Config. 1|de|P0027 Zubehrkonfig. 1|es|P0027 Config. Accesorios 1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P0027
{
	SLOT 0;
	INDEX 26;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0027 }
	}
}

VARIABLE P0028
{
	LABEL "P0028 Accessories Config. 2|de|P0028 Zubehrkonfig. 2|es|P0028 Config. Accesorios 2";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P0028
{
	SLOT 0;
	INDEX 27;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0028 }
	}
}

VARIABLE P0029
{
	LABEL "P0029 Phase Sequence|de|P0029 Phasenumkehr|es|P0029 Secuencia de Fase";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Invalid|de|Ungltig|es|Invlida" },
		{ 1, "RST / 123|de|RST / 123|es|RST / 123" },
		{ 2, "RTS / 132|de|RTS / 132|es|RTS / 132" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0029
{
	SLOT 0;
	INDEX 28;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0029 }
	}
}

VARIABLE P0030
{
	LABEL "P0030 R Phase Current|de|P0030 Strom Phase R|es|P0030 Corriente Fase R";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0030
{
	SLOT 0;
	INDEX 29;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0030 }
	}
}

VARIABLE P0031
{
	LABEL "P0031 S Phase Current|de|P0031 Strom Phase S|es|P0031 Corriente Fase S";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0031
{
	SLOT 0;
	INDEX 30;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0031 }
	}
}

VARIABLE P0032
{
	LABEL "P0032 T Phase Current|de|P0032 Strom Phase T|es|P0032 Corriente Fase T";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0032
{
	SLOT 0;
	INDEX 31;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0032 }
	}
}

VARIABLE P0033
{
	LABEL "P0033 R-S Main Line Voltage|de|P0033 Netzspannung R-S|es|P0033 Tensin Lnea R-S";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0033
{
	SLOT 0;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0033 }
	}
}

VARIABLE P0034
{
	LABEL "P0034 S-T Main Line Voltage|de|P0034 Netzspannung S-T|es|P0034 Tensin Lnea S-T";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0034
{
	SLOT 0;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0034 }
	}
}

VARIABLE P0035
{
	LABEL "P0035 T-R Main Line Voltage|de|P0035 Netzspannung T-R|es|P0035 Tensin Lnea T-R";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0035
{
	SLOT 0;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0035 }
	}
}

VARIABLE P0042
{
	LABEL "P0042 Powered Time|de|P0042 Einschaltzeit|es|P0042 Horas Energizado";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "h";
	HANDLING READ;
}

COMMAND READ_P0042
{
	SLOT 0;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0042 }
	}
}

VARIABLE P0043
{
	LABEL "P0043 Enabled Time|de|P0043 Betriebszeit|es|P0043 Horas Habilitado";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "h";
	HANDLING READ;
}

COMMAND READ_P0043
{
	SLOT 0;
	INDEX 42;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0043 }
	}
}

VARIABLE P0044
{
	LABEL "P0044 kWh Counter|de|P0044 kWh-Zhler|es|P0044 Contador de kWh";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	CONSTANT_UNIT "kWh";
	HANDLING READ;
}

COMMAND READ_P0044
{
	SLOT 0;
	INDEX 43;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0044 }
	}
}

VARIABLE P0045
{
	LABEL "P0045 MWh Counter     |de|P0045 MWh-Zhler  |es|P0045 Contador de MWh    ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "MWh";
	HANDLING READ;
}

COMMAND READ_P0045
{
	SLOT 0;
	INDEX 44;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0045 }
	}
}

VARIABLE P0046
{
	LABEL "P0046 Enabled Fan Time|de|P0046 Laufzeit Lfter|es|P0046 Horas Ventil. Energi.";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "h";
	HANDLING READ;
}

COMMAND READ_P0046
{
	SLOT 0;
	INDEX 45;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0046 }
	}
}

VARIABLE P0047
{
	LABEL "P0047 Maximum Start Curre.|de|P0047 Maximaler Startstrom |es|P0047 Corriente Max.Arranq.";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0047
{
	SLOT 0;
	INDEX 46;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0047 }
	}
}

VARIABLE P0048
{
	LABEL "P0048 Average Start Curre.|de|P0048 Durchsch. Startstrom|es|P0048 Corriente Med.Arranq.";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0048
{
	SLOT 0;
	INDEX 47;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0048 }
	}
}

VARIABLE P0049
{
	LABEL "P0049 Real Start Time |de|P0049 Reale Hochlaufzeit|es|P0049 Tiempo Real Arranque";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	CONSTANT_UNIT "s";
	HANDLING READ;
}

COMMAND READ_P0049
{
	SLOT 0;
	INDEX 48;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0049 }
	}
}

VARIABLE P0050
{
	LABEL "P0050 Thermal Class Status|de|P0050 Therm. Klasse Status|es|P0050 Prot.Clase.Trm.Motor";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0050
{
	SLOT 0;
	INDEX 49;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0050 }
	}
}

VARIABLE P0053
{
	LABEL "P0053 Max.Curr.Full Voltage|de|P0053 Max. Strom Volle Spg.|es|P0053 Corriente.Mx.R.Pleno";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0053
{
	SLOT 0;
	INDEX 52;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0053 }
	}
}

VARIABLE P0054
{
	LABEL "P0054 Max. Voltage Motor ON|de|P0054 Maximale Spg Motor AN|es|P0054 Tensin Max. Motor ON";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0054
{
	SLOT 0;
	INDEX 53;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0054 }
	}
}

VARIABLE P0055
{
	LABEL "P0055 Min. Voltage Motor ON|de|P0055 Minimale Spg Motor AN|es|P0055 Tensin Min. Motor ON";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0055
{
	SLOT 0;
	INDEX 54;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0055 }
	}
}

VARIABLE P0056
{
	LABEL "P0056 Max.Frequenc.Motor ON|de|P0056 Max. Freq. Motor AN|es|P0056 Frecuenc.Max.Motor ON";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "Hz";
	HANDLING READ;
}

COMMAND READ_P0056
{
	SLOT 0;
	INDEX 55;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0056 }
	}
}

VARIABLE P0057
{
	LABEL "P0057 Min.Frequenc.Motor ON|de|P0057 Min. Freq. Motor AN|es|P0057 Frecuenc.Min.Motor ON";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "Hz";
	HANDLING READ;
}

COMMAND READ_P0057
{
	SLOT 0;
	INDEX 56;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0057 }
	}
}

VARIABLE P0058
{
	LABEL "P0058 Mx. Number Start/h|de|P0058 Maximale Starts/h    |es|P0058 Nmero.Max.Arranque/h";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 32;
	}
	CONSTANT_UNIT "ph";
	HANDLING READ;
}

COMMAND READ_P0058
{
	SLOT 0;
	INDEX 57;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0058 }
	}
}

VARIABLE P0059
{
	LABEL "P0059 Total Number Start |de|P0059 Gesamtzahl Starts    |es|P0059 Nmero Total Arranque";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P0059
{
	SLOT 0;
	INDEX 58;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0059 }
	}
}

VARIABLE P0060
{
	LABEL "P0060 R-U SCRs Temperature|de|P0060 SCR Temperatur R-U|es|P0060 Temperatura SCRs R-U";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -22;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0060
{
	SLOT 0;
	INDEX 59;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0060 }
	}
}

VARIABLE P0061
{
	LABEL "P0061 S-V SCRs Temperature|de|P0061 SCR Temperatur S-V|es|P0061 Temperatura SCRs S-V";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -22;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0061
{
	SLOT 0;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0061 }
	}
}

VARIABLE P0062
{
	LABEL "P0062 T-W SCRs Temperature|de|P0062 SCR Temperatur T-W|es|P0062 Temperatura SCRs T-W";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -22;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0062
{
	SLOT 0;
	INDEX 61;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0062 }
	}
}

VARIABLE P0063
{
	LABEL "P0063 Ch1 Motor Temperature|de|P0063 Motortemperatur Ka1|es|P0063 Temperatura Motor Ch1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0063
{
	SLOT 0;
	INDEX 62;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0063 }
	}
}

VARIABLE P0064
{
	LABEL "P0064 Ch2 Motor Temperature|de|P0064 Motortemperatur Ka2|es|P0064 Temperatura Motor Ch2";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0064
{
	SLOT 0;
	INDEX 63;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0064 }
	}
}

VARIABLE P0065
{
	LABEL "P0065 Ch3 Motor Temperature|de|P0065 Motortemperatur Ka3|es|P0065 Temperatura Motor Ch3";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0065
{
	SLOT 0;
	INDEX 64;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0065 }
	}
}

VARIABLE P0066
{
	LABEL "P0066 Ch4 Motor Temperature|de|P0066 Motortemperatur Ka4|es|P0066 Temperatura Motor Ch4";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0066
{
	SLOT 0;
	INDEX 65;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0066 }
	}
}

VARIABLE P0067
{
	LABEL "P0067 Ch5 Motor Temperature|de|P0067 Motortemperatur Ka5|es|P0067 Temperatura Motor Ch5";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0067
{
	SLOT 0;
	INDEX 66;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0067 }
	}
}

VARIABLE P0068
{
	LABEL "P0068 Ch6 Motor Temperature|de|P0068 Motortemperatur Ka6|es|P0068 Temperatura Motor Ch6";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0068
{
	SLOT 0;
	INDEX 67;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0068 }
	}
}

VARIABLE P0069
{
	LABEL "P0069 Ch7 Motor Temperature|de|P0069 Motortemperatur Ka7|es|P0069 Temperatura Motor Ch7";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0069
{
	SLOT 0;
	INDEX 68;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0069 }
	}
}

VARIABLE P0070
{
	LABEL "P0070 Ch8 Motor Temperature|de|P0070 Motortemperatur Ka8|es|P0070 Temperatura Motor Ch8";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0070
{
	SLOT 0;
	INDEX 69;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0070 }
	}
}

VARIABLE P0071
{
	LABEL "P0071 Ground Fault Current|de|P0071 Massenschluss Strom|es|P0071 Corrien. Falta Tierra";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0071
{
	SLOT 0;
	INDEX 70;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0071 }
	}
}

VARIABLE P0072
{
	LABEL "P0072 Ground Fault Voltage|de|P0072 Massenschluss Spg|es|P0072 Tensin Falta Tierra";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0072
{
	SLOT 0;
	INDEX 71;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0072 }
	}
}

VARIABLE P0073
{
	LABEL "P0073 Control 1 Voltage|de|P0073 Spg. Steuerkarte 1|es|P0073 Tensin Controle 1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0073
{
	SLOT 0;
	INDEX 72;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0073 }
	}
}

VARIABLE P0074
{
	LABEL "P0074 Control 2 Voltage|de|P0074 Spg. Steuerkarte 2|es|P0074 Tensin Controle 2";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "Vcc";
	HANDLING READ;
}

COMMAND READ_P0074
{
	SLOT 0;
	INDEX 73;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0074 }
	}
}

VARIABLE P0077
{
	LABEL "P0077 R-U SCRs Max. Temp.|de|P0077 Max. SCR Temp. R-U|es|P0077 Temper.Mx. SCRs R-U";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -22;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0077
{
	SLOT 0;
	INDEX 76;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0077 }
	}
}

VARIABLE P0078
{
	LABEL "P0078 S-V SCRs Max. Temp.|de|P0078 Max. SCR Temp. S-V|es|P0078 Temper.Mx. SCRs S-V";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -22;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0078
{
	SLOT 0;
	INDEX 77;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0078 }
	}
}

VARIABLE P0079
{
	LABEL "P0079 T-W SCRs Max. Temp.|de|P0079 Max. SCR Temp. T-W|es|P0079 Temper.Mx. SCRs T-W";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -22;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0079
{
	SLOT 0;
	INDEX 78;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0079 }
	}
}

VARIABLE P0080
{
	LABEL "P0080 Ch1 Motor Max. Temp.|de|P0080 Max. Motortemp. Ka1|es|P0080 Temper.Mx. Motor Ch1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0080
{
	SLOT 0;
	INDEX 79;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0080 }
	}
}

VARIABLE P0081
{
	LABEL "P0081 Ch2 Motor Max. Temp.|de|P0081 Max. Motortemp. Ka2|es|P0081 Temper.Mx. Motor Ch2";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0081
{
	SLOT 0;
	INDEX 80;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0081 }
	}
}

VARIABLE P0082
{
	LABEL "P0082 Ch3 Motor Max. Temp.|de|P0082 Max. Motortemp. Ka3|es|P0082 Temper.Mx. Motor Ch3";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0082
{
	SLOT 0;
	INDEX 81;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0082 }
	}
}

VARIABLE P0083
{
	LABEL "P0083 Ch4 Motor Max. Temp.|de|P0083 Max. Motortemp. Ka4|es|P0083 Temper.Mx. Motor Ch4";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0083
{
	SLOT 0;
	INDEX 82;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0083 }
	}
}

VARIABLE P0084
{
	LABEL "P0084 Ch5 Motor Max. Temp.|de|P0084 Max. Motortemp. Ka5|es|P0084 Temper.Mx. Motor Ch5";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0084
{
	SLOT 0;
	INDEX 83;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0084 }
	}
}

VARIABLE P0085
{
	LABEL "P0085 Ch6 Motor Max. Temp.|de|P0085 Max. Motortemp. Ka6|es|P0085 Temper.Mx. Motor Ch6";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0085
{
	SLOT 0;
	INDEX 84;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0085 }
	}
}

VARIABLE P0086
{
	LABEL "P0086 Ch7 Motor Max. Temp.|de|P0086 Max. Motortemp. Ka7|es|P0086 Temper.Mx. Motor Ch7";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0086
{
	SLOT 0;
	INDEX 85;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0086 }
	}
}

VARIABLE P0087
{
	LABEL "P0087 Ch8 Motor Max. Temp.|de|P0087 Max. Motortemp. Ka8|es|P0087 Temper.Mx. Motor Ch8";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -20;
		MAX_VALUE 260;
	}
	CONSTANT_UNIT "C";
	HANDLING READ;
}

COMMAND READ_P0087
{
	SLOT 0;
	INDEX 86;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0087 }
	}
}

VARIABLE P0099
{
	LABEL "P0099 C2 Software Version|de|P0099 Softwareversion C2|es|P0099 Versin Software C2";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	HANDLING READ;
}

COMMAND READ_P0099
{
	SLOT 0;
	INDEX 98;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0099 }
	}
}

VARIABLE P0101
{
	LABEL "P0101 Initial Start Voltage|de|P0101 Startspannung|es|P0101 Tensin Inicial Arra.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 40;
		MIN_VALUE 35;
		MAX_VALUE 90;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0101
{
	SLOT 0;
	INDEX 100;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0101 }
	}
}

WRITE_P0101 LIKE READ_P0101
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0101 }
		REPLY { }
	}
}

VARIABLE P0102
{
	LABEL "P0102 Maximum Start Time|de|P0102 Maximale Hochlaufzeit|es|P0102 Tiempo Mximo Arranq.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 1;
		MAX_VALUE 999;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0102
{
	SLOT 0;
	INDEX 101;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0102 }
	}
}

WRITE_P0102 LIKE READ_P0102
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0102 }
		REPLY { }
	}
}

VARIABLE P0103
{
	LABEL "P0103 Step Down Volt. Stop|de|P0103 Auslaufspannungstufe|es|P0103 Escaln Tensi.Parada";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 100;
		MIN_VALUE 60;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0103
{
	SLOT 0;
	INDEX 102;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0103 }
	}
}

WRITE_P0103 LIKE READ_P0103
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0103 }
		REPLY { }
	}
}

VARIABLE P0104
{
	LABEL "P0104 Stop Time |de|P0104 Auslaufzeit|es|P0104 Tiempo de Parada";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0104
{
	SLOT 0;
	INDEX 103;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0104 }
	}
}

WRITE_P0104 LIKE READ_P0104
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0104 }
		REPLY { }
	}
}

VARIABLE P0105
{
	LABEL "P0105 End Voltage Stop|de|P0105 Auslaufendspannung|es|P0105 Tensin Final Parada";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 35;
		MIN_VALUE 35;
		MAX_VALUE 55;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0105
{
	SLOT 0;
	INDEX 104;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0105 }
	}
}

WRITE_P0105 LIKE READ_P0105
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0105 }
		REPLY { }
	}
}

VARIABLE P0106
{
	LABEL "P0106 Start End Detection|de|P0106 Hochlaufenderkennung|es|P0106 Deteccin Fin Arranq.";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Time (P0102)|de|Zeit (P0102)|es|Tiempo (P0102)" },
		{ 1, "Automatic |de|Automatisch|es|Automtica" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0106
{
	SLOT 0;
	INDEX 105;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0106 }
	}
}

WRITE_P0106 LIKE READ_P0106
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0106 }
		REPLY { }
	}
}

VARIABLE P0110
{
	LABEL "P0110 Current Limit|de|P0110 Strombegrenzung|es|P0110 Lmite Corrie.Arranq.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 300;
		MIN_VALUE 150;
		MAX_VALUE 600;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0110
{
	SLOT 0;
	INDEX 109;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0110 }
	}
}

WRITE_P0110 LIKE READ_P0110
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0110 }
		REPLY { }
	}
}

VARIABLE P0111
{
	LABEL "P0111 Initial Current Ramp|de|P0111 Startstrom|es|P0111 Corriente Inicial";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 150;
		MIN_VALUE 150;
		MAX_VALUE 600;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0111
{
	SLOT 0;
	INDEX 110;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0111 }
	}
}

WRITE_P0111 LIKE READ_P0111
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0111 }
		REPLY { }
	}
}

VARIABLE P0112
{
	LABEL "P0112 Current Ramp Time|de|P0112 Stromrampenzeit|es|P0112 Tiempo Ramp.Corriente";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0112
{
	SLOT 0;
	INDEX 111;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0112 }
	}
}

WRITE_P0112 LIKE READ_P0112
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0112 }
		REPLY { }
	}
}

VARIABLE P0120
{
	LABEL "P0120 Start Torque Chara.|de|P0120 Startmom.Charak.|es|P0120 Tipo Torque Arranque";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 1, "Constant|de|Konstant|es|Constante" },
		{ 2, "Linear|de|Linear|es|Lineal" },
		{ 3, "Square|de|Quadratisch|es|Cuadrtico" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0120
{
	SLOT 0;
	INDEX 119;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0120 }
	}
}

WRITE_P0120 LIKE READ_P0120
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0120 }
		REPLY { }
	}
}

VARIABLE P0121
{
	LABEL "P0121 Initial Start Torque|de|P0121 Startmoment|es|P0121 Torque Inici.Arranque";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 30;
		MIN_VALUE 10;
		MAX_VALUE 400;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0121
{
	SLOT 0;
	INDEX 120;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0121 }
	}
}

WRITE_P0121 LIKE READ_P0121
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0121 }
		REPLY { }
	}
}

VARIABLE P0122
{
	LABEL "P0122 End Start Torque |de|P0122 Hochl. Endmoment|es|P0122 Torque Final Arranque";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 110;
		MIN_VALUE 10;
		MAX_VALUE 400;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0122
{
	SLOT 0;
	INDEX 121;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0122 }
	}
}

WRITE_P0122 LIKE READ_P0122
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0122 }
		REPLY { }
	}
}

VARIABLE P0123
{
	LABEL "P0123 Minimun Start Torque|de|P0123 Min. Hochl.Moment|es|P0123 Torque Mnimo Arranq.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 27;
		MIN_VALUE 10;
		MAX_VALUE 400;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0123
{
	SLOT 0;
	INDEX 122;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0123 }
	}
}

WRITE_P0123 LIKE READ_P0123
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0123 }
		REPLY { }
	}
}

VARIABLE P0124
{
	LABEL "P0124 Min.Start Torq. Time|de|P0124 Min.Hochl.Mo. Zeit|es|P0124 Tiempo Torqu.Mn.Arr.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0124
{
	SLOT 0;
	INDEX 123;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0124 }
	}
}

WRITE_P0124 LIKE READ_P0124
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0124 }
		REPLY { }
	}
}

VARIABLE P0125
{
	LABEL "P0125 Stop Torque Characte.|de|P0125 StoppmomentCharak|es|P0125 Tipo Torque de Parada";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 1, "Constant|de|Konstant|es|Constante" },
		{ 2, "Linear|de|Linear|es|Lineal" },
		{ 3, "Square|de|Quadratisch|es|Cuadrtico" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0125
{
	SLOT 0;
	INDEX 124;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0125 }
	}
}

WRITE_P0125 LIKE READ_P0125
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0125 }
		REPLY { }
	}
}

VARIABLE P0126
{
	LABEL "P0126 End Stop Torque|de|P0126 Stoppmoment|es|P0126 Torque Final Parada";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 10;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0126
{
	SLOT 0;
	INDEX 125;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0126 }
	}
}

WRITE_P0126 LIKE READ_P0126
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0126 }
		REPLY { }
	}
}

VARIABLE P0127
{
	LABEL "P0127 Minimum Stop Torque|de|P0127 Min. Stoppmoment|es|P0127 Torque Mnimo Parada";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 50;
		MIN_VALUE 10;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0127
{
	SLOT 0;
	INDEX 126;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0127 }
	}
}

WRITE_P0127 LIKE READ_P0127
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0127 }
		REPLY { }
	}
}

VARIABLE P0128
{
	LABEL "P0128 Min. Stop Torque Time|de|P0128 Zeit Min.Stoppmo.|es|P0128 Tiempo Torqu.Min.Par.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 50;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0128
{
	SLOT 0;
	INDEX 127;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0128 }
	}
}

WRITE_P0128 LIKE READ_P0128
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0128 }
		REPLY { }
	}
}

VARIABLE P0130
{
	LABEL "P0130 Pump Control|de|P0130 Pumpensteuerung|es|P0130 Control de Bombas";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 0;
	}
}

COMMAND READ_P0130
{
	SLOT 0;
	INDEX 129;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0130 }
	}
}

WRITE_P0130 LIKE READ_P0130
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0130 }
		REPLY { }
	}
}

VARIABLE P0200
{
	LABEL "P0200 Password        |de|P0200 Passwort|es|P0200 Contrasea";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off       |de|Aus|es|Inactiva  " },
		{ 1, "On        |de|Ein|es|Activa    " },
		{ 2, "Change Pass.|de|Passw. ndern|es|Cambiar Con." }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0200
{
	SLOT 0;
	INDEX 199;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0200 }
	}
}

WRITE_P0200 LIKE READ_P0200
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0200 }
		REPLY { }
	}
}

VARIABLE P0201
{
	LABEL "P0201 Language        |de|P0201 Sprache|es|P0201 Idioma          ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Portugus |de|Portugus |es|Portugus " },
		{ 1, "English|de|English|es|English" },
		{ 2, "Espaol|de|Espaol|es|Espaol" },
		{ 3, "Deutsch|de|Deutsch|es|Deutsch" },
		{ 4, "French|de|French|es|French" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0201
{
	SLOT 0;
	INDEX 200;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0201 }
	}
}

WRITE_P0201 LIKE READ_P0201
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0201 }
		REPLY { }
	}
}

VARIABLE P0202
{
	LABEL "P0202 Types of Control|de|P0202 Regelungsart|es|P0202 Tipos de Control";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Volt.Ramp+Lim|de|Spannung+Strom|es|Ramp.Tens.+Lm" },
		{ 1, "Current Limit|de|Strombegrenzu.|es|Lm. Corriente" },
		{ 2, "Pump Control|de|Pumpenregelung|es|Control Bombas" },
		{ 3, "Torque Control|de|Drehmomentreg.|es|Control Torque" },
		{ 4, "Current Ramp|de|Stromrampe|es|Ramp.Corriente" },
		{ 5, "D.O.L.|de|D.O.L.|es|D.O.L." }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0202
{
	SLOT 0;
	INDEX 201;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0202 }
	}
}

WRITE_P0202 LIKE READ_P0202
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0202 }
		REPLY { }
	}
}

VARIABLE P0203
{
	LABEL "P0203 Fan Configuration|de|P0203 Konfiguration Lfter|es|P0203 Configurac.Ventilador";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Always Off|de|Immer Aus|es|Siempre Desen." },
		{ 1, "Always On|de|Immer An|es|Siempre Energ." },
		{ 2, "Controlled|de|Kontrolliert|es|Controlado" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0203
{
	SLOT 0;
	INDEX 202;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0203 }
	}
}

WRITE_P0203 LIKE READ_P0203
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0203 }
		REPLY { }
	}
}

VARIABLE P0204
{
	LABEL "P0204 Load/Save Parameters|de|P0204 Lade/Speicher Param.|es|P0204 Carga/Salva Parm.";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 2, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 3, "P0043..P0050=0|de|P0043..P0050=0|es|P0043..P0050=0" },
		{ 4, "P0053..P0058=0|de|P0053..P0058=0|es|P0053..P0058=0" },
		{ 5, "Ld.Default|de|L.Werkseinst.|es|C.Pdron Fabr." },
		{ 6, "P0077..P0087=0|de|P0077..P0087=0|es|P0077..P0087=0" },
		{ 7, "Load User 1|de|Lade Benutz. 1|es|CargaUsuario 1" },
		{ 8, "Load User 2|de|Lade Benutz. 2|es|CargaUsuario 2" },
		{ 9, "Load User 3|de|Lade Benutz. 3|es|CargaUsuario 3" },
		{ 10, "Save User 1|de|Speic. Benutz1|es|GuardaUsuario1" },
		{ 11, "Save User 2|de|Speic. Benutz2|es|GuardaUsuario2" },
		{ 12, "Save User 3|de|Speic. Benutz3|es|GuardaUsuario3" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0204
{
	SLOT 0;
	INDEX 203;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0204 }
	}
}

WRITE_P0204 LIKE READ_P0204
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0204 }
		REPLY { }
	}
}

VARIABLE P0205
{
	LABEL "P0205 Read Parameter Sel. 1|de|P0205 Anzeigeauswahl 1|es|P0205 Sel. Parm. Lectura 1";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "SSW Current  #|de|SSW Strom    #|es|Corriente SSW#" },
		{ 2, "Motor Curr.% #|de|Motorstrom % #|es|Corr. Mot.%  #" },
		{ 3, "Motor Curr.A #|de|Motorstrom A #|es|Corr. Mot.A  #" },
		{ 4, "Line Voltage #|de|Netzspannung #|es|Tens. Alime. #" },
		{ 5, "Output Volt. #|de|Ausgangsspg. #|es|Tens. Salida #" },
		{ 6, "Power Factor #|de|Leistungsfak.#|es|Factor Poten.#" },
		{ 7, "Motor Torque #|de|Motordrehmom.#|es|Torque Motor #" },
		{ 8, "Output Power #|de|Ausgangsleis.#|es|Pot. Salida  #" },
		{ 9, "ReactivePower#|de|Scheinleist. #|es|Pot. Aparare.#" },
		{ 10, "R Phase Curr.#|de|Phasenstrom R#|es|Corr. Fase R #" },
		{ 11, "S Phase Curr.#|de|Phasenstrom S#|es|Corr. Fase S #" },
		{ 12, "T Phase Curr.#|de|Phasenstrom T#|es|Corr. Fase T #" },
		{ 13, "RS Line Volt.#|de|Netzspann.RS #|es|Tens.Lnea RS#" },
		{ 14, "ST Line Volt.#|de|Netzspann.ST #|es|Tens.Lnea ST#" },
		{ 15, "TR Line Volt.#|de|Netzspann.TR #|es|Tens.Lnea TR#" },
		{ 16, "RU SCR Tempe.#|de|SCR Temp. RU #|es|Temper.SCR.RU#" },
		{ 17, "SV SCR Tempe.#|de|SCR Temp. SV #|es|Temper.SCR.SV#" },
		{ 18, "TW SCR Tempe.#|de|SCR Temp. TW #|es|Temper.SCR.TW#" },
		{ 19, "Ch1 Mot.Temp.#|de|Motortemp.Ka1#|es|Tempe.Mot.Ch1#" },
		{ 20, "Ch2 Mot.Temp.#|de|Motortemp.Ka2#|es|Tempe.Mot.Ch2#" },
		{ 21, "Ch3 Mot.Temp.#|de|Motortemp.Ka3#|es|Tempe.Mot.Ch3#" },
		{ 22, "Ch4 Mot.Temp.#|de|Motortemp.Ka4#|es|Tempe.Mot.Ch4#" },
		{ 23, "Ch5 Mot.Temp.#|de|Motortemp.Ka5#|es|Tempe.Mot.Ch5#" },
		{ 24, "Ch6 Mot.Temp.#|de|Motortemp.Ka6#|es|Tempe.Mot.Ch6#" },
		{ 25, "Ch7 Mot.Temp.#|de|Motortemp.Ka7#|es|Tempe.Mot.Ch7#" },
		{ 26, "Ch8 Mot.Temp.#|de|Motortemp.Ka8#|es|Tempe.Mot.Ch8#" },
		{ 27, "Ther.Clas.Sta#|de|Therm.Kl.Stat#|es|P.Clas.Trm.M#" },
		{ 28, "SSW Current  -|de|SSW Strom    -|es|Corriente SSW-" },
		{ 29, "Motor Curr.% -|de|Motorstrom % -|es|Corr. Mot.%  -" },
		{ 30, "Motor Curr.A -|de|Motorstrom A -|es|Corr. Mot.A  -" },
		{ 31, "Line Voltage -|de|Netzspannung -|es|Tens. Alimen.-" },
		{ 32, "Output Volt. -|de|Ausgangsspg. -|es|Tens. Salida -" },
		{ 33, "Power Factor -|de|Leistungsfak.-|es|Factor Poten.-" },
		{ 34, "Motor Torque -|de|Motordrehmom.-|es|Torque Motor -" },
		{ 35, "Output Power -|de|Ausgangsleis.-|es|Poten. Salida-" },
		{ 36, "ReactivePower-|de|Scheinleist. -|es|Poten. Apare.-" },
		{ 37, "R Phase Curr.-|de|Phasenstrom R-|es|Corr. Fase R -" },
		{ 38, "S Phase Curr.-|de|Phasenstrom S-|es|Corr. Fase S -" },
		{ 39, "T Phase Curr.-|de|Phasenstrom T-|es|Corr. Fase T -" },
		{ 40, "RS Line Volt.-|de|Netzspann.RS -|es|Tens.Lnea RS-" },
		{ 41, "ST Line Volt.-|de|Netzspann.ST -|es|Tens.Lnea ST-" },
		{ 42, "TR Line Volt.-|de|Netzspann.TR -|es|Tens.Lnea TR-" },
		{ 43, "RU SCR Tempe.-|de|SCR Temp. RU -|es|Temper.SCR.RU-" },
		{ 44, "SV SCR Tempe.-|de|SCR Temp. SV -|es|Temper.SCR.SV-" },
		{ 45, "TW SCR Tempe.-|de|SCR Temp. TW -|es|Temper.SCR.TW-" },
		{ 46, "Ch1 Mot.Temp.-|de|Motortemp.Ka1-|es|Tempe.Mot.Ch1-" },
		{ 47, "Ch2 Mot.Temp.-|de|Motortemp.Ka2-|es|Tempe.Mot.Ch2-" },
		{ 48, "Ch3 Mot.Temp.-|de|Motortemp.Ka3-|es|Tempe.Mot.Ch3-" },
		{ 49, "Ch4 Mot.Temp.-|de|Motortemp.Ka4-|es|Tempe.Mot.Ch4-" },
		{ 50, "Ch5 Mot.Temp.-|de|Motortemp.Ka5-|es|Tempe.Mot.Ch5-" },
		{ 51, "Ch6 Mot.Temp.-|de|Motortemp.Ka6-|es|Tempe.Mot.Ch6-" },
		{ 52, "Ch7 Mot.Temp.-|de|Motortemp.Ka7-|es|Tempe.Mot.Ch7-" },
		{ 53, "Ch8 Mot.Temp.-|de|Motortemp.Ka8-|es|Tempe.Mot.Ch8-" },
		{ 54, "Ther.Clas.Sta-|de|Therm.Kl.Stat-|es|P.Clas.Trm.M-" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0205
{
	SLOT 0;
	INDEX 204;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0205 }
	}
}

WRITE_P0205 LIKE READ_P0205
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0205 }
		REPLY { }
	}
}

VARIABLE P0206
{
	LABEL "P0206 Read Parameter Sel. 2|de|P0206 Anzeigeauswahl 2|es|P0206 Sel. Parm. Lectura 2";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "SSW Current  #|de|SSW Strom    #|es|Corriente SSW#" },
		{ 2, "Motor Curr.% #|de|Motorstrom % #|es|Corr. Mot.%  #" },
		{ 3, "Motor Curr.A #|de|Motorstrom A #|es|Corr. Mot.A  #" },
		{ 4, "Line Voltage #|de|Netzspannung #|es|Tens. Alime. #" },
		{ 5, "Output Volt. #|de|Ausgangsspg. #|es|Tens. Salida #" },
		{ 6, "Power Factor #|de|Leistungsfak.#|es|Factor Poten.#" },
		{ 7, "Motor Torque #|de|Motordrehmom.#|es|Torque Motor #" },
		{ 8, "Output Power #|de|Ausgangsleis.#|es|Pot. Salida  #" },
		{ 9, "ReactivePower#|de|Scheinleist. #|es|Pot. Aparare.#" },
		{ 10, "R Phase Curr.#|de|Phasenstrom R#|es|Corr. Fase R #" },
		{ 11, "S Phase Curr.#|de|Phasenstrom S#|es|Corr. Fase S #" },
		{ 12, "T Phase Curr.#|de|Phasenstrom T#|es|Corr. Fase T #" },
		{ 13, "RS Line Volt.#|de|Netzspann.RS #|es|Tens.Lnea RS#" },
		{ 14, "ST Line Volt.#|de|Netzspann.ST #|es|Tens.Lnea ST#" },
		{ 15, "TR Line Volt.#|de|Netzspann.TR #|es|Tens.Lnea TR#" },
		{ 16, "RU SCR Tempe.#|de|SCR Temp. RU #|es|Temper.SCR.RU#" },
		{ 17, "SV SCR Tempe.#|de|SCR Temp. SV #|es|Temper.SCR.SV#" },
		{ 18, "TW SCR Tempe.#|de|SCR Temp. TW #|es|Temper.SCR.TW#" },
		{ 19, "Ch1 Mot.Temp.#|de|Motortemp.Ka1#|es|Tempe.Mot.Ch1#" },
		{ 20, "Ch2 Mot.Temp.#|de|Motortemp.Ka2#|es|Tempe.Mot.Ch2#" },
		{ 21, "Ch3 Mot.Temp.#|de|Motortemp.Ka3#|es|Tempe.Mot.Ch3#" },
		{ 22, "Ch4 Mot.Temp.#|de|Motortemp.Ka4#|es|Tempe.Mot.Ch4#" },
		{ 23, "Ch5 Mot.Temp.#|de|Motortemp.Ka5#|es|Tempe.Mot.Ch5#" },
		{ 24, "Ch6 Mot.Temp.#|de|Motortemp.Ka6#|es|Tempe.Mot.Ch6#" },
		{ 25, "Ch7 Mot.Temp.#|de|Motortemp.Ka7#|es|Tempe.Mot.Ch7#" },
		{ 26, "Ch8 Mot.Temp.#|de|Motortemp.Ka8#|es|Tempe.Mot.Ch8#" },
		{ 27, "Ther.Clas.Sta#|de|Therm.Kl.Stat#|es|P.Clas.Trm.M#" },
		{ 28, "SSW Current  -|de|SSW Strom    -|es|Corriente SSW-" },
		{ 29, "Motor Curr.% -|de|Motorstrom % -|es|Corr. Mot.%  -" },
		{ 30, "Motor Curr.A -|de|Motorstrom A -|es|Corr. Mot.A  -" },
		{ 31, "Line Voltage -|de|Netzspannung -|es|Tens. Alimen.-" },
		{ 32, "Output Volt. -|de|Ausgangsspg. -|es|Tens. Salida -" },
		{ 33, "Power Factor -|de|Leistungsfak.-|es|Factor Poten.-" },
		{ 34, "Motor Torque -|de|Motordrehmom.-|es|Torque Motor -" },
		{ 35, "Output Power -|de|Ausgangsleis.-|es|Poten. Salida-" },
		{ 36, "ReactivePower-|de|Scheinleist. -|es|Poten. Apare.-" },
		{ 37, "R Phase Curr.-|de|Phasenstrom R-|es|Corr. Fase R -" },
		{ 38, "S Phase Curr.-|de|Phasenstrom S-|es|Corr. Fase S -" },
		{ 39, "T Phase Curr.-|de|Phasenstrom T-|es|Corr. Fase T -" },
		{ 40, "RS Line Volt.-|de|Netzspann.RS -|es|Tens.Lnea RS-" },
		{ 41, "ST Line Volt.-|de|Netzspann.ST -|es|Tens.Lnea ST-" },
		{ 42, "TR Line Volt.-|de|Netzspann.TR -|es|Tens.Lnea TR-" },
		{ 43, "RU SCR Tempe.-|de|SCR Temp. RU -|es|Temper.SCR.RU-" },
		{ 44, "SV SCR Tempe.-|de|SCR Temp. SV -|es|Temper.SCR.SV-" },
		{ 45, "TW SCR Tempe.-|de|SCR Temp. TW -|es|Temper.SCR.TW-" },
		{ 46, "Ch1 Mot.Temp.-|de|Motortemp.Ka1-|es|Tempe.Mot.Ch1-" },
		{ 47, "Ch2 Mot.Temp.-|de|Motortemp.Ka2-|es|Tempe.Mot.Ch2-" },
		{ 48, "Ch3 Mot.Temp.-|de|Motortemp.Ka3-|es|Tempe.Mot.Ch3-" },
		{ 49, "Ch4 Mot.Temp.-|de|Motortemp.Ka4-|es|Tempe.Mot.Ch4-" },
		{ 50, "Ch5 Mot.Temp.-|de|Motortemp.Ka5-|es|Tempe.Mot.Ch5-" },
		{ 51, "Ch6 Mot.Temp.-|de|Motortemp.Ka6-|es|Tempe.Mot.Ch6-" },
		{ 52, "Ch7 Mot.Temp.-|de|Motortemp.Ka7-|es|Tempe.Mot.Ch7-" },
		{ 53, "Ch8 Mot.Temp.-|de|Motortemp.Ka8-|es|Tempe.Mot.Ch8-" },
		{ 54, "Ther.Clas.Sta-|de|Therm.Kl.Stat-|es|P.Clas.Trm.M-" }
		DEFAULT_VALUE 4;
	}
}

COMMAND READ_P0206
{
	SLOT 0;
	INDEX 205;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0206 }
	}
}

WRITE_P0206 LIKE READ_P0206
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0206 }
		REPLY { }
	}
}

VARIABLE P0207
{
	LABEL "P0207 Read Parameter Sel. 3|de|P0207 Anzeigeauswahl 3|es|P0207 Sel. Parm. Lectura 3";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not selected|de|Aus|es|Inactivo  " },
		{ 1, "SSW Current  #|de|SSW Strom    #|es|Corriente SSW#" },
		{ 2, "Motor Curr.% #|de|Motorstrom % #|es|Corr. Mot.%  #" },
		{ 3, "Motor Curr.A #|de|Motorstrom A #|es|Corr. Mot.A  #" },
		{ 4, "Line Voltage #|de|Netzspannung #|es|Tens. Alime. #" },
		{ 5, "Output Volt. #|de|Ausgangsspg. #|es|Tens. Salida #" },
		{ 6, "Power Factor #|de|Leistungsfak.#|es|Factor Poten.#" },
		{ 7, "Motor Torque #|de|Motordrehmom.#|es|Torque Motor #" },
		{ 8, "Output Power #|de|Ausgangsleis.#|es|Pot. Salida  #" },
		{ 9, "ReactivePower#|de|Scheinleist. #|es|Pot. Aparare.#" },
		{ 10, "R Phase Curr.#|de|Phasenstrom R#|es|Corr. Fase R #" },
		{ 11, "S Phase Curr.#|de|Phasenstrom S#|es|Corr. Fase S #" },
		{ 12, "T Phase Curr.#|de|Phasenstrom T#|es|Corr. Fase T #" },
		{ 13, "RS Line Volt.#|de|Netzspann.RS #|es|Tens.Lnea RS#" },
		{ 14, "ST Line Volt.#|de|Netzspann.ST #|es|Tens.Lnea ST#" },
		{ 15, "TR Line Volt.#|de|Netzspann.TR #|es|Tens.Lnea TR#" },
		{ 16, "RU SCR Tempe.#|de|SCR Temp. RU #|es|Temper.SCR.RU#" },
		{ 17, "SV SCR Tempe.#|de|SCR Temp. SV #|es|Temper.SCR.SV#" },
		{ 18, "TW SCR Tempe.#|de|SCR Temp. TW #|es|Temper.SCR.TW#" },
		{ 19, "Ch1 Mot.Temp.#|de|Motortemp.Ka1#|es|Tempe.Mot.Ch1#" },
		{ 20, "Ch2 Mot.Temp.#|de|Motortemp.Ka2#|es|Tempe.Mot.Ch2#" },
		{ 21, "Ch3 Mot.Temp.#|de|Motortemp.Ka3#|es|Tempe.Mot.Ch3#" },
		{ 22, "Ch4 Mot.Temp.#|de|Motortemp.Ka4#|es|Tempe.Mot.Ch4#" },
		{ 23, "Ch5 Mot.Temp.#|de|Motortemp.Ka5#|es|Tempe.Mot.Ch5#" },
		{ 24, "Ch6 Mot.Temp.#|de|Motortemp.Ka6#|es|Tempe.Mot.Ch6#" },
		{ 25, "Ch7 Mot.Temp.#|de|Motortemp.Ka7#|es|Tempe.Mot.Ch7#" },
		{ 26, "Ch8 Mot.Temp.#|de|Motortemp.Ka8#|es|Tempe.Mot.Ch8#" },
		{ 27, "Ther.Clas.Sta#|de|Therm.Kl.Stat#|es|P.Clas.Trm.M#" },
		{ 28, "SSW Current  -|de|SSW Strom    -|es|Corriente SSW-" },
		{ 29, "Motor Curr.% -|de|Motorstrom % -|es|Corr. Mot.%  -" },
		{ 30, "Motor Curr.A -|de|Motorstrom A -|es|Corr. Mot.A  -" },
		{ 31, "Line Voltage -|de|Netzspannung -|es|Tens. Alimen.-" },
		{ 32, "Output Volt. -|de|Ausgangsspg. -|es|Tens. Salida -" },
		{ 33, "Power Factor -|de|Leistungsfak.-|es|Factor Poten.-" },
		{ 34, "Motor Torque -|de|Motordrehmom.-|es|Torque Motor -" },
		{ 35, "Output Power -|de|Ausgangsleis.-|es|Poten. Salida-" },
		{ 36, "ReactivePower-|de|Scheinleist. -|es|Poten. Apare.-" },
		{ 37, "R Phase Curr.-|de|Phasenstrom R-|es|Corr. Fase R -" },
		{ 38, "S Phase Curr.-|de|Phasenstrom S-|es|Corr. Fase S -" },
		{ 39, "T Phase Curr.-|de|Phasenstrom T-|es|Corr. Fase T -" },
		{ 40, "RS Line Volt.-|de|Netzspann.RS -|es|Tens.Lnea RS-" },
		{ 41, "ST Line Volt.-|de|Netzspann.ST -|es|Tens.Lnea ST-" },
		{ 42, "TR Line Volt.-|de|Netzspann.TR -|es|Tens.Lnea TR-" },
		{ 43, "RU SCR Tempe.-|de|SCR Temp. RU -|es|Temper.SCR.RU-" },
		{ 44, "SV SCR Tempe.-|de|SCR Temp. SV -|es|Temper.SCR.SV-" },
		{ 45, "TW SCR Tempe.-|de|SCR Temp. TW -|es|Temper.SCR.TW-" },
		{ 46, "Ch1 Mot.Temp.-|de|Motortemp.Ka1-|es|Tempe.Mot.Ch1-" },
		{ 47, "Ch2 Mot.Temp.-|de|Motortemp.Ka2-|es|Tempe.Mot.Ch2-" },
		{ 48, "Ch3 Mot.Temp.-|de|Motortemp.Ka3-|es|Tempe.Mot.Ch3-" },
		{ 49, "Ch4 Mot.Temp.-|de|Motortemp.Ka4-|es|Tempe.Mot.Ch4-" },
		{ 50, "Ch5 Mot.Temp.-|de|Motortemp.Ka5-|es|Tempe.Mot.Ch5-" },
		{ 51, "Ch6 Mot.Temp.-|de|Motortemp.Ka6-|es|Tempe.Mot.Ch6-" },
		{ 52, "Ch7 Mot.Temp.-|de|Motortemp.Ka7-|es|Tempe.Mot.Ch7-" },
		{ 53, "Ch8 Mot.Temp.-|de|Motortemp.Ka8-|es|Tempe.Mot.Ch8-" },
		{ 54, "Ther.Clas.Sta-|de|Therm.Kl.Stat-|es|P.Clas.Trm.M-" }
		DEFAULT_VALUE 5;
	}
}

COMMAND READ_P0207
{
	SLOT 0;
	INDEX 206;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0207 }
	}
}

WRITE_P0207 LIKE READ_P0207
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0207 }
		REPLY { }
	}
}

VARIABLE P0208
{
	LABEL "P0208 Auto-Reset Time|de|P0208 Auto. Reset Zeit|es|P0208 Tiempo de Auto-Reset";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 600;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0208
{
	SLOT 0;
	INDEX 207;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0208 }
	}
}

WRITE_P0208 LIKE READ_P0208
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0208 }
		REPLY { }
	}
}

VARIABLE P0213
{
	LABEL "P0213 Read Par.1 Full Scale|de|P0213 Anzeigebereich 1|es|P0213 Fin Escala Lectura 1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0213
{
	SLOT 0;
	INDEX 212;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0213 }
	}
}

WRITE_P0213 LIKE READ_P0213
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0213 }
		REPLY { }
	}
}

VARIABLE P0214
{
	LABEL "P0214 Read Par.2 Full Scale|de|P0214 Anzeigebereich 2|es|P0214 Fin Escala Lectura 2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0214
{
	SLOT 0;
	INDEX 213;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0214 }
	}
}

WRITE_P0214 LIKE READ_P0214
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0214 }
		REPLY { }
	}
}

VARIABLE P0215
{
	LABEL "P0215 Read Par.3 Full Scale|de|P0215 Anzeigebereich 3|es|P0215 Fin Escala Lectura 3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0215
{
	SLOT 0;
	INDEX 214;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0215 }
	}
}

WRITE_P0215 LIKE READ_P0215
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0215 }
		REPLY { }
	}
}

VARIABLE P0216
{
	LABEL "P0216 LCD Contrast|de|P0216 LCD Kontrast|es|P0216 Contraste del LCD";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 27;
		MIN_VALUE 0;
		MAX_VALUE 37;
	}
}

COMMAND READ_P0216
{
	SLOT 0;
	INDEX 215;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0216 }
	}
}

WRITE_P0216 LIKE READ_P0216
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0216 }
		REPLY { }
	}
}

VARIABLE P0220
{
	LABEL "P0220 LOC/REM Mode Selecti.|de|P0220 LOC/REM Auswahl|es|P0220 Selecc. Modo LOC/REM";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Always LOC|de|Immer LOC|es|Siempre LOC" },
		{ 1, "Always REM|de|Immer REM|es|Siempre REM" },
		{ 2, "HMI LR Key LOC|de|Taste LOC|es|Tecla LR (LOC)" },
		{ 3, "HMI LR Key REM|de|Taste REM|es|Tecla LR (REM)" },
		{ 4, "DIx|de|DIx|es|DIx" },
		{ 5, "Serial/USB LOC|de|SeriellUSB LOC|es|Serie/USB LOC " },
		{ 6, "Serial/USB REM|de|SeriellUSB REM|es|Serie/USB REM " },
		{ 7, "Anybus-CC LOC|de|Anybus-CC LOC|es|Anybus-CC LOC" },
		{ 8, "Anybus-CC REM|de|Anybus-CC REM|es|Anybus-CC REM" },
		{ 9, "SoftPLC LOC|de|SoftSPS LOC|es|SoftPLC LOC" },
		{ 10, "SoftPLC REM|de|SoftSPS REM|es|SoftPLC REM" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P0220
{
	SLOT 0;
	INDEX 219;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0220 }
	}
}

WRITE_P0220 LIKE READ_P0220
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0220 }
		REPLY { }
	}
}

VARIABLE P0228
{
	LABEL "P0228 FWD/REV Selection|de|P0228 Drehrichtung|es|P0228 Selecci.Sentido Giro";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "By Contactor|de|Mit Schtz|es|Va Conta." },
		{ 2, "Only for JOG|de|Nur fr JOG|es|Solo JOG" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0228
{
	SLOT 0;
	INDEX 227;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0228 }
	}
}

WRITE_P0228 LIKE READ_P0228
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0228 }
		REPLY { }
	}
}

VARIABLE P0229
{
	LABEL "P0229 LOC Command Selection|de|P0229 LOC Steuerung|es|P0229 Selecci.Comando Local";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "I,O Keys  |de|Fernbed. I,O|es|Teclas I,O" },
		{ 1, "DIx       |de|DIx|es|DIx       " },
		{ 2, "Serial/USB    |de|Seriell / USB|es|Serie/USB    " },
		{ 3, "Anybus-CC|de|Anybus-CC|es|Anybus-CC" },
		{ 4, "SoftPLC|de|SoftSPS|es|SoftPLC" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0229
{
	SLOT 0;
	INDEX 228;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0229 }
	}
}

WRITE_P0229 LIKE READ_P0229
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0229 }
		REPLY { }
	}
}

VARIABLE P0230
{
	LABEL "P0230 REM Command Selection|de|P0230 REM Steuerung|es|P0230 Selecc.Comando Remoto";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "I,O Keys  |de|Fernbed. I,O|es|Teclas I,O" },
		{ 1, "DIx       |de|DIx|es|DIx       " },
		{ 2, "Serial/USB    |de|Seriell / USB|es|Serie/USB    " },
		{ 3, "Anybus-CC|de|Anybus-CC|es|Anybus-CC" },
		{ 4, "SoftPLC|de|SoftSPS|es|SoftPLC" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0230
{
	SLOT 0;
	INDEX 229;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0230 }
	}
}

WRITE_P0230 LIKE READ_P0230
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0230 }
		REPLY { }
	}
}

VARIABLE P0231
{
	LABEL "P0231 AI1 Signal Function|de|P0231 AI1 Signalfunktion|es|P0231 Funcin Seal AI1  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0231
{
	SLOT 0;
	INDEX 230;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0231 }
	}
}

WRITE_P0231 LIKE READ_P0231
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0231 }
		REPLY { }
	}
}

VARIABLE P0232
{
	LABEL "P0232 AI1 Gain|de|P0232 AI1 Verstrkung|es|P0232 Ganancia Entrada AI1 ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0232
{
	SLOT 0;
	INDEX 231;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0232 }
	}
}

WRITE_P0232 LIKE READ_P0232
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0232 }
		REPLY { }
	}
}

VARIABLE P0233
{
	LABEL "P0233 AI1 Signal Type |de|P0233 AI1 Signaltyp|es|P0233 Seal Entrada AI1  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA|es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA|es|20 a 4 mA " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0233
{
	SLOT 0;
	INDEX 232;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0233 }
	}
}

WRITE_P0233 LIKE READ_P0233
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0233 }
		REPLY { }
	}
}

VARIABLE P0234
{
	LABEL "P0234 AI1 Offset      |de|P0234 AI1 Offset|es|P0234 Offset Entrada AI1 ";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0234
{
	SLOT 0;
	INDEX 233;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0234 }
	}
}

WRITE_P0234 LIKE READ_P0234
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0234 }
		REPLY { }
	}
}

VARIABLE P0235
{
	LABEL "P0235 AI1 Filter|de|P0235 AI1 Filter|es|P0235 Filtro Entrada AI1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0235
{
	SLOT 0;
	INDEX 234;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0235 }
	}
}

WRITE_P0235 LIKE READ_P0235
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0235 }
		REPLY { }
	}
}

VARIABLE P0236
{
	LABEL "P0236 AI2 Signal Function|de|P0236 AI2 Signalfunktion|es|P0236 Funcin Seal AI2  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0236
{
	SLOT 0;
	INDEX 235;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0236 }
	}
}

WRITE_P0236 LIKE READ_P0236
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0236 }
		REPLY { }
	}
}

VARIABLE P0237
{
	LABEL "P0237 AI2 Gain        |de|P0237 AI2 Verstrkung|es|P0237 Ganancia Entrada AI2 ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0237
{
	SLOT 0;
	INDEX 236;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0237 }
	}
}

WRITE_P0237 LIKE READ_P0237
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0237 }
		REPLY { }
	}
}

VARIABLE P0238
{
	LABEL "P0238 AI2 Signal Type |de|P0238 AI2 Signaltyp|es|P0238 Seal Entrada AI2  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA|es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA|es|20 a 4 mA " },
		{ 4, "-10 to +10V|de|-10 bis +10V|es|-10 a +10V" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0238
{
	SLOT 0;
	INDEX 237;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0238 }
	}
}

WRITE_P0238 LIKE READ_P0238
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0238 }
		REPLY { }
	}
}

VARIABLE P0239
{
	LABEL "P0239 AI2 Offset      |de|P0239 AI2 Offset|es|P0239 Offset Entrada AI2 ";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0239
{
	SLOT 0;
	INDEX 238;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0239 }
	}
}

WRITE_P0239 LIKE READ_P0239
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0239 }
		REPLY { }
	}
}

VARIABLE P0240
{
	LABEL "P0240 AI2 Filter|de|P0240 AI2 Filter|es|P0240 Filtro Entrada AI2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0240
{
	SLOT 0;
	INDEX 239;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0240 }
	}
}

WRITE_P0240 LIKE READ_P0240
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0240 }
		REPLY { }
	}
}

VARIABLE P0251
{
	LABEL "P0251 AO1 Function    |de|P0251 AO1 Funktion|es|P0251 Funcin Salida AO1  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "SSW Current %|de|SSW Strom %|es|CorrienteSSW %" },
		{ 2, "Line Voltage|de|Netzspannung|es|Tensin Alime." },
		{ 3, "Output Voltage|de|Ausgangsspg.|es|Tensin Salida" },
		{ 4, "Power Factor|de|Leistungsfak.|es|FactorPotencia" },
		{ 5, "Ther.Clas.Pro.|de|Therm.Schutzkl|es|Prot.Clas.Tr." },
		{ 6, "Output Power W|de|Ausgangsleis.W|es|Poten.Salida W" },
		{ 7, "OutputPower VA|de|Scheinleist.VA|es|Poten. Apar.VA" },
		{ 8, "Motor Torque %|de|Motordrehmom.%|es|Torque Motor %" },
		{ 9, "P0696 Value|de|P0696 Wert|es|ContenidoP0696" },
		{ 10, "P0697 Value|de|P0697 Wert|es|ContenidoP0697" },
		{ 11, "R-U SCRs Temp.|de|SCR Temp. R-U|es|Temp. SCRs R-U" },
		{ 12, "S-V SCRs Temp.|de|SCR Temp. S-V|es|Temp. SCRs S-V" },
		{ 13, "T-W SCRs Temp.|de|SCR Temp. T-W|es|Temp. SCRs T-W" },
		{ 14, "SoftPLC|de|SoftSPS|es|SoftPLC" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0251
{
	SLOT 0;
	INDEX 250;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0251 }
	}
}

WRITE_P0251 LIKE READ_P0251
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0251 }
		REPLY { }
	}
}

VARIABLE P0252
{
	LABEL "P0252 AO1 Gain        |de|P0252 AO1 Verstrkung|es|P0252 Ganancia Salida AO1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0252
{
	SLOT 0;
	INDEX 251;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0252 }
	}
}

WRITE_P0252 LIKE READ_P0252
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0252 }
		REPLY { }
	}
}

VARIABLE P0253
{
	LABEL "P0253 AO1 Signal Type|de|P0253 AO1 Signaltyp|es|P0253 Seal Salida AO1  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA |es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA |es|20 a 4 mA " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0253
{
	SLOT 0;
	INDEX 252;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0253 }
	}
}

WRITE_P0253 LIKE READ_P0253
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0253 }
		REPLY { }
	}
}

VARIABLE P0254
{
	LABEL "P0254 AO2 Function    |de|P0254 AO2 Funktion|es|P0254 Funcin Salida AO2  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "SSW Current %|de|SSW Strom %|es|CorrienteSSW %" },
		{ 2, "Line Voltage|de|Netzspannung|es|Tensin Alime." },
		{ 3, "Output Voltage|de|Ausgangsspg.|es|Tensin Salida" },
		{ 4, "Power Factor|de|Leistungsfak.|es|FactorPotencia" },
		{ 5, "Ther.Clas.Pro.|de|Therm.Schutzkl|es|Prot.Clas.Tr." },
		{ 6, "Output Power W|de|Ausgangsleis.W|es|Poten.Salida W" },
		{ 7, "OutputPower VA|de|Scheinleist.VA|es|Poten. Apar.VA" },
		{ 8, "Motor Torque %|de|Motordrehmom.%|es|Torque Motor %" },
		{ 9, "P0696 Value|de|P0696 Wert|es|ContenidoP0696" },
		{ 10, "P0697 Value|de|P0697 Wert|es|ContenidoP0697" },
		{ 11, "R-U SCRs Temp.|de|SCR Temp. R-U|es|Temp. SCRs R-U" },
		{ 12, "S-V SCRs Temp.|de|SCR Temp. S-V|es|Temp. SCRs S-V" },
		{ 13, "T-W SCRs Temp.|de|SCR Temp. T-W|es|Temp. SCRs T-W" },
		{ 14, "SoftPLC|de|SoftSPS|es|SoftPLC" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0254
{
	SLOT 0;
	INDEX 253;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0254 }
	}
}

WRITE_P0254 LIKE READ_P0254
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0254 }
		REPLY { }
	}
}

VARIABLE P0255
{
	LABEL "P0255 AO2 Gain        |de|P0255 AO2 Verstrkung|es|P0255 Ganancia Salida AO2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P0255
{
	SLOT 0;
	INDEX 254;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0255 }
	}
}

WRITE_P0255 LIKE READ_P0255
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0255 }
		REPLY { }
	}
}

VARIABLE P0256
{
	LABEL "P0256 AO2 Signal Type |de|P0256 AO2 Signaltyp|es|P0256 Seal Salida AO2";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "0 to 10V/20mA|de|0 bis 10V/20mA|es|0 a 10V/20mA" },
		{ 1, "4 to 20 mA |de|4 bis 20mA |es|4 a 20 mA " },
		{ 2, "10V/20mA to 0|de|10V/20mA bis 0|es|10V/20mA a 0" },
		{ 3, "20 to 4 mA |de|20 bis 4mA |es|20 a 4 mA " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0256
{
	SLOT 1;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0256 }
	}
}

WRITE_P0256 LIKE READ_P0256
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0256 }
		REPLY { }
	}
}

VARIABLE P0263
{
	LABEL "P0263 DI1 Function    |de|P0263 DI1 Funktion|es|P0263 Funcin Entrada DI1";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Start/Stop  |de|Start / Stopp|es|Gira/Para " },
		{ 2, "Start(3 Wires)|de|Start (Taster)|es|Start(3Cables)" },
		{ 3, "Stop (3 Wires)|de|Stopp (Taster)|es|Stop (3Cables)" },
		{ 4, "General Enable|de|Freigabe|es|Hab. General" },
		{ 5, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 6, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 7, "No Ext. Fault|de|Ohne ext.Fehl.|es|Sin Falla Ext." },
		{ 8, "JOG       |de|JOG|es|JOG       " },
		{ 9, "Brake Off|de|Bremsen Aus|es|Sin Frenado" },
		{ 10, "Reset|de|Reset|es|Reset     " },
		{ 11, "No Ext. Alarm|de|Ohne ext.Alarm|es|Sin Alarma Ext" },
		{ 12, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 13, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 14, "Trace Function|de|Trace-Funktion|es|Funcin Trace" },
		{ 15, "Fuse Ok|de|Sicherung Ok|es|Fusible Ok" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0263
{
	SLOT 1;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0263 }
	}
}

WRITE_P0263 LIKE READ_P0263
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0263 }
		REPLY { }
	}
}

VARIABLE P0264
{
	LABEL "P0264 DI2 Function    |de|P0264 DI2 Funktion|es|P0264 Funcin Entrada DI2  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin" },
		{ 1, "Start/Stop  |de|Start / Stopp|es|Gira/Para" },
		{ 2, "Start(3 Wires)|de|Start (Taster)|es|Start(3Cables)" },
		{ 3, "Stop (3 Wires)|de|Stopp (Taster)|es|Stop (3Cables)" },
		{ 4, "General Enable|de|Freigabe|es|Hab. General" },
		{ 5, "FWD/REV   |de|Drehrichtung|es|Sentido Giro" },
		{ 6, "LOC/REM   |de|LOC / REM|es|LOC/REM" },
		{ 7, "No Ext. Fault|de|Ohne ext.Fehl.|es|Sin Falla Ext." },
		{ 8, "JOG       |de|JOG|es|JOG       " },
		{ 9, "Brake Off|de|Bremsen Aus|es|Sin Frenado" },
		{ 10, "Reset|de|Reset|es|Reset     " },
		{ 11, "No Ext. Alarm|de|Ohne ext.Alarm|es|Sin Alarma Ext" },
		{ 12, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 13, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 14, "Trace Function|de|Trace-Funktion|es|Funcin Trace" },
		{ 15, "Fuse Ok|de|Sicherung Ok|es|Fusible Ok" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P0264
{
	SLOT 1;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0264 }
	}
}

WRITE_P0264 LIKE READ_P0264
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0264 }
		REPLY { }
	}
}

VARIABLE P0265
{
	LABEL "P0265 DI3 Function    |de|P0265 DI3 Funktion|es|P0265 Funcin Entrada DI3  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Start/Stop  |de|Start / Stopp|es|Gira/Para " },
		{ 2, "Start(3 Wires)|de|Start (Taster)|es|Start(3Cables)" },
		{ 3, "Stop (3 Wires)|de|Stopp (Taster)|es|Stop (3Cables)" },
		{ 4, "General Enable|de|Freigabe|es|Hab. General" },
		{ 5, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 6, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 7, "No Ext. Fault|de|Ohne ext.Fehl.|es|Sin Falla Ext." },
		{ 8, "JOG       |de|JOG|es|JOG       " },
		{ 9, "Brake Off|de|Bremsen Aus|es|Sin Frenado" },
		{ 10, "Reset|de|Reset|es|Reset     " },
		{ 11, "No Ext. Alarm|de|Ohne ext.Alarm|es|Sin Alarma Ext" },
		{ 12, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 13, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 14, "Trace Function|de|Trace-Funktion|es|Funcin Trace" },
		{ 15, "Fuse Ok|de|Sicherung Ok|es|Fusible Ok" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0265
{
	SLOT 1;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0265 }
	}
}

WRITE_P0265 LIKE READ_P0265
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0265 }
		REPLY { }
	}
}

VARIABLE P0266
{
	LABEL "P0266 DI4 Function    |de|P0266 DI4 Funktion|es|P0266 Funcin Entrada DI4  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Start/Stop  |de|Start / Stopp|es|Gira/Para " },
		{ 2, "Start(3 Wires)|de|Start (Taster)|es|Start(3Cables)" },
		{ 3, "Stop (3 Wires)|de|Stopp (Taster)|es|Stop (3Cables)" },
		{ 4, "General Enable|de|Freigabe|es|Hab. General" },
		{ 5, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 6, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 7, "No Ext. Fault|de|Ohne ext.Fehl.|es|Sin Falla Ext." },
		{ 8, "JOG       |de|JOG|es|JOG       " },
		{ 9, "Brake Off|de|Bremsen Aus|es|Sin Frenado" },
		{ 10, "Reset|de|Reset|es|Reset     " },
		{ 11, "No Ext. Alarm|de|Ohne ext.Alarm|es|Sin Alarma Ext" },
		{ 12, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 13, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 14, "Trace Function|de|Trace-Funktion|es|Funcin Trace" },
		{ 15, "Fuse Ok|de|Sicherung Ok|es|Fusible Ok" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0266
{
	SLOT 1;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0266 }
	}
}

WRITE_P0266 LIKE READ_P0266
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0266 }
		REPLY { }
	}
}

VARIABLE P0267
{
	LABEL "P0267 DI5 Function    |de|P0267 DI5 Funktion|es|P0267 Funcin Entrada DI5  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Start/Stop  |de|Start / Stopp|es|Gira/Para " },
		{ 2, "Start(3 Wires)|de|Start (Taster)|es|Start(3Cables)" },
		{ 3, "Stop (3 Wires)|de|Stopp (Taster)|es|Stop (3Cables)" },
		{ 4, "General Enable|de|Freigabe|es|Hab. General" },
		{ 5, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 6, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 7, "No Ext. Fault|de|Ohne ext.Fehl.|es|Sin Falla Ext." },
		{ 8, "JOG       |de|JOG|es|JOG       " },
		{ 9, "Brake Off|de|Bremsen Aus|es|Sin Frenado" },
		{ 10, "Reset|de|Reset|es|Reset     " },
		{ 11, "No Ext. Alarm|de|Ohne ext.Alarm|es|Sin Alarma Ext" },
		{ 12, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 13, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 14, "Trace Function|de|Trace-Funktion|es|Funcin Trace" },
		{ 15, "Fuse Ok|de|Sicherung Ok|es|Fusible Ok" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0267
{
	SLOT 1;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0267 }
	}
}

WRITE_P0267 LIKE READ_P0267
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0267 }
		REPLY { }
	}
}

VARIABLE P0268
{
	LABEL "P0268 DI6 Function    |de|P0268 DI6 Funktion|es|P0268 Funcin Entrada DI6 ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Start/Stop  |de|Start / Stopp|es|Gira/Para " },
		{ 2, "Start(3 Wires)|de|Start (Taster)|es|Start(3Cables)" },
		{ 3, "Stop (3 Wires)|de|Stopp (Taster)|es|Stop (3Cables)" },
		{ 4, "General Enable|de|Freigabe|es|Hab. General" },
		{ 5, "FWD/REV   |de|Drehrichtung|es|Sentido Giro " },
		{ 6, "LOC/REM   |de|LOC / REM|es|LOC/REM   " },
		{ 7, "No Ext. Fault|de|Ohne ext.Fehl.|es|Sin Falla Ext." },
		{ 8, "JOG       |de|JOG|es|JOG       " },
		{ 9, "Brake Off|de|Bremsen Aus|es|Sin Frenado" },
		{ 10, "Reset|de|Reset|es|Reset     " },
		{ 11, "No Ext. Alarm|de|Ohne ext.Alarm|es|Sin Alarma Ext" },
		{ 12, "Load User 1/2|de|Lade Ben. 1/2|es|Carga Us. 1/2" },
		{ 13, "Load User 3|de|Lade Benutz. 3|es|Carga Us. 3" },
		{ 14, "Trace Function|de|Trace-Funktion|es|Funcin Trace" },
		{ 15, "Fuse Ok|de|Sicherung Ok|es|Fusible Ok" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0268
{
	SLOT 1;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0268 }
	}
}

WRITE_P0268 LIKE READ_P0268
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0268 }
		REPLY { }
	}
}

VARIABLE P0275
{
	LABEL "P0275 DO1 Function|de|P0275 DO1 Funktion|es|P0275 Funcin de DO1";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Running|de|Ein|es|Funcionamiento" },
		{ 2, "Full Voltage|de|Volle Spg.|es|Tensin Plena" },
		{ 3, "Bypass|de|Bypass|es|Bypass" },
		{ 4, "Foward|de|Rechtslauf|es|S.Giro Directo" },
		{ 5, "DC Braking|de|DC Bremse|es|Frenado CC" },
		{ 6, "Without Fault|de|Ohne Fehler|es|Sin Falla " },
		{ 7, "With Fault|de|Mit Fehler|es|Con Falla" },
		{ 8, "Without Alarm|de|Ohne Alarm|es|Sin Alarma" },
		{ 9, "With Alarm|de|Mit Alarm|es|Con Alarma" },
		{ 10, "No Fault/Alarm|de|OhneFehler/Ala|es|SinFalla/Alarm" },
		{ 11, "SoftPLC   |de|SoftSPS |es|SoftPLC   " },
		{ 12, "P0695 Content|de|P0695 Wert|es|ContenidoP0695" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Capacitor|de|Capacitor|es|Capacitor" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0275
{
	SLOT 1;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0275 }
	}
}

WRITE_P0275 LIKE READ_P0275
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0275 }
		REPLY { }
	}
}

VARIABLE P0276
{
	LABEL "P0276 DO2 Function|de|P0276 DO2 Funktion|es|P0276 Funcin de DO2";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Running|de|Ein|es|Funcionamiento" },
		{ 2, "Full Voltage|de|Volle Spg.|es|Tensin Plena" },
		{ 3, "Bypass|de|Bypass|es|Bypass" },
		{ 4, "Reverse|de|Linkslauf|es|S.Giro Reverso" },
		{ 5, "DC Braking|de|DC Bremse|es|Frenado CC" },
		{ 6, "Without Fault|de|Ohne Fehler|es|Sin Falla " },
		{ 7, "With Fault|de|Mit Fehler|es|Con Falla" },
		{ 8, "Without Alarm|de|Ohne Alarm|es|Sin Alarma" },
		{ 9, "With Alarm|de|Mit Alarm|es|Con Alarma" },
		{ 10, "No Fault/Alarm|de|OhneFehler/Ala|es|SinFalla/Alarm" },
		{ 11, "SoftPLC   |de|SoftSPS   |es|SoftPLC   " },
		{ 12, "P0695 Content|de|P0695 Wert|es|ContenidoP0695" },
		{ 13, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 14, "Capacitor|de|Capacitor|es|Capacitor" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P0276
{
	SLOT 1;
	INDEX 20;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0276 }
	}
}

WRITE_P0276 LIKE READ_P0276
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0276 }
		REPLY { }
	}
}

VARIABLE P0277
{
	LABEL "P0277 DO3 Function|de|P0277 DO3 Funktion|es|P0277 Funcin de DO3";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 1, "Running|de|Ein|es|Funcionamiento" },
		{ 2, "Full Voltage|de|Volle Spg.|es|Tensin Plena" },
		{ 3, "Bypass|de|Bypass|es|Bypass" },
		{ 4, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 5, "DC Braking|de|DC Bremse|es|Frenado CC" },
		{ 6, "Without Fault|de|Ohne Fehler|es|Sin Falla " },
		{ 7, "With Fault|de|Mit Fehler|es|Con Falla" },
		{ 8, "Without Alarm|de|Ohne Alarm|es|Sin Alarma" },
		{ 9, "With Alarm|de|Mit Alarm|es|Con Alarma" },
		{ 10, "No Fault/Alarm|de|OhneFehler/Ala|es|SinFalla/Alarm" },
		{ 11, "SoftPLC   |de|SoftSPS|es|SoftPLC   " },
		{ 12, "P0695 Content|de|P0695 Wert|es|ContenidoP0695" },
		{ 13, "Arc Detection|de|Lichtbogenwc.|es|Detencin Arco" },
		{ 14, "Capacitor|de|Capacitor|es|Capacitor" }
		DEFAULT_VALUE 7;
	}
}

COMMAND READ_P0277
{
	SLOT 1;
	INDEX 21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0277 }
	}
}

WRITE_P0277 LIKE READ_P0277
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0277 }
		REPLY { }
	}
}

VARIABLE P0295
{
	LABEL "P0295 Nominal SSW Current|de|P0295 SSW Nennstrom|es|P0295 Corriente Nominal SSW";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "10 A|de|10 A|es|10 A" },
		{ 1, "70 A  SSW7000C|de|70 A  SSW7000C|es|70 A  SSW7000C" },
		{ 2, "70 A   SSW7000|de|70 A   SSW7000|es|70 A   SSW7000" },
		{ 3, "125 A SSW7000C|de|125 A SSW7000C|es|125 A SSW7000C" },
		{ 4, "180 A  SSW7000|de|180 A  SSW7000|es|180 A  SSW7000" },
		{ 5, "250 A SSW7000C|de|250 A SSW7000C|es|250 A SSW7000C" },
		{ 6, "300 A  SSW7000|de|300 A  SSW7000|es|300 A  SSW7000" },
		{ 7, "359 A SSW7000C|de|359 A SSW7000C|es|359 A SSW7000C" },
		{ 8, "360 A  SSW7000|de|360 A  SSW7000|es|360 A  SSW7000" },
		{ 9, "Reservado|de|Reservado|es|Reservado" },
		{ 10, "400 A  SSW7000|de|400 A  SSW7000|es|400 A  SSW7000" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0295
{
	SLOT 1;
	INDEX 39;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0295 }
	}
}

WRITE_P0295 LIKE READ_P0295
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0295 }
		REPLY { }
	}
}

VARIABLE P0296
{
	LABEL "P0296 Nominal SSW Voltage |de|P0296 SSW Nennspannung|es|P0296 Tensin Nominal SSW";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "220/500 V|de|220/500 V|es|220/500 V" },
		{ 1, "2300 V|de|2300 V|es|2300 V" },
		{ 2, "4160 V|de|4160 V|es|4160 V" },
		{ 3, "6900 V|de|6900 V|es|6900 V" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0296
{
	SLOT 1;
	INDEX 40;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0296 }
	}
}

WRITE_P0296 LIKE READ_P0296
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0296 }
		REPLY { }
	}
}

VARIABLE P0308
{
	LABEL "P0308 SSW Serial Address|de|P0308 SSW Serielle Adresse|es|P0308 Direccin Serie d.SSW";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 247;
	}
}

COMMAND READ_P0308
{
	SLOT 1;
	INDEX 52;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0308 }
	}
}

WRITE_P0308 LIKE READ_P0308
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0308 }
		REPLY { }
	}
}

VARIABLE P0310
{
	LABEL "P0310 Serial Baud Rate|de|P0310 Serielle Baud Rate|es|P0310 Tasa Comunic. Serie";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "9600 bits/s|de|9600 bits/s|es|9600 bits/s" },
		{ 1, "19200 bits/s|de|19200 bits/s|es|19200 bits/s" },
		{ 2, "38400 bits/s|de|38400 bits/s|es|38400 bits/s" },
		{ 3, "57600 bits/s|de|57600 bits/s|es|57600 bits/s" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0310
{
	SLOT 1;
	INDEX 54;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0310 }
	}
}

WRITE_P0310 LIKE READ_P0310
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0310 }
		REPLY { }
	}
}

VARIABLE P0311
{
	LABEL "P0311 Serial Bytes Config.|de|P0311 Serielle Byte Konfig.|es|P0311 Config. Bytes Serie";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "8 bits, no, 1|de|8 bits/ohne/1|es|8 bits, sin, 1" },
		{ 1, "8 bits, even,1|de|8 bits/gerad/1|es|8 bits, par, 1" },
		{ 2, "8 bits, odd, 1|de|8 bits/ung./1|es|8 bits, mp, 1" },
		{ 3, "8 bits, no, 2|de|8 bits/ohne/2|es|8 bits, sin, 2" },
		{ 4, "8 bits, even,2|de|8 bits/gerad/2|es|8 bits, par, 2" },
		{ 5, "8 bits, odd, 2|de|8 bits/ung./2|es|8 bits, mp, 2" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P0311
{
	SLOT 1;
	INDEX 55;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0311 }
	}
}

WRITE_P0311 LIKE READ_P0311
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0311 }
		REPLY { }
	}
}

VARIABLE P0313
{
	LABEL "P0313 Comm. Error Action|de|P0313 Kom. Fehler Aktion|es|P0313 Accin p.Erro Comunic";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off|de|Aus|es|Inactivo" },
		{ 1, "Ramp Stop|de|Auslauf|es|Para por Rampa" },
		{ 2, "General Disab.|de|Gen. Abschalt.|es|Deshab.General" },
		{ 3, "Goes to LOC|de|Gehe zu LOC|es|Vai p/ LOC" },
		{ 4, "Off|de|Aus|es|Inactivo" },
		{ 5, "Causes Fault|de|Fehlerausls.|es|Causa Falla" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0313
{
	SLOT 1;
	INDEX 57;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0313 }
	}
}

WRITE_P0313 LIKE READ_P0313
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0313 }
		REPLY { }
	}
}

VARIABLE P0314
{
	LABEL "P0314 Serial Com. Watchdog|de|P0314 Serieller-Watchdog|es|P0314 Watchdog Comun.Serie";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0314
{
	SLOT 1;
	INDEX 58;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0314 }
	}
}

WRITE_P0314 LIKE READ_P0314
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0314 }
		REPLY { }
	}
}

VARIABLE P0316
{
	LABEL "P0316 Serial Interf. Status|de|P0316 Schnittstellenstatus|es|P0316 Estado Interf. Serie";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Off|de|Aus|es|Inactivo" },
		{ 1, "On        |de|Ein|es|Activo" },
		{ 2, "Watchdog Error|de|Watchdog Feh.|es|Error Watchdog" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0316
{
	SLOT 1;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0316 }
	}
}

VARIABLE P0400
{
	LABEL "P0400 Nominal Motor Voltage|de|P0400 Motor Nennspannung|es|P0400 Tensin Nominal Motor";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 3300;
		MIN_VALUE 0;
		MAX_VALUE 6900;
	}
	CONSTANT_UNIT "V";
}

COMMAND READ_P0400
{
	SLOT 1;
	INDEX 144;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0400 }
	}
}

WRITE_P0400 LIKE READ_P0400
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0400 }
		REPLY { }
	}
}

VARIABLE P0401
{
	LABEL "P0401 Nominal Motor Current|de|P0401 Motor Nennstrom|es|P0401 Corriente Nomi. Motor";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0401
{
	SLOT 1;
	INDEX 145;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0401 }
	}
}

WRITE_P0401 LIKE READ_P0401
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0401 }
		REPLY { }
	}
}

VARIABLE P0402
{
	LABEL "P0402 Nominal Motor Speed |de|P0402 Motor Nenndrehzahl|es|P0402 Rotacin Nomin. Motor";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1780;
		MIN_VALUE 0;
		MAX_VALUE 3600;
	}
	CONSTANT_UNIT "rpm";
}

COMMAND READ_P0402
{
	SLOT 1;
	INDEX 146;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0402 }
	}
}

WRITE_P0402 LIKE READ_P0402
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0402 }
		REPLY { }
	}
}

VARIABLE P0404
{
	LABEL "P0404 Nominal Motor Power|de|P0404 Motor Nennleistung|es|P0404 Potencia Nominal Mot.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 570;
		MIN_VALUE 1;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "kW";
}

COMMAND READ_P0404
{
	SLOT 1;
	INDEX 148;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0404 }
	}
}

WRITE_P0404 LIKE READ_P0404
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0404 }
		REPLY { }
	}
}

VARIABLE P0405
{
	LABEL "P0405 Nomi. Mot. Power Fac.|de|P0405 Motor Leistungsfaktor|es|P0405 Factor Pot.Nom. Motor";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P0405
{
	SLOT 1;
	INDEX 149;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0405 }
	}
}

WRITE_P0405 LIKE READ_P0405
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0405 }
		REPLY { }
	}
}

VARIABLE P0500
{
	LABEL "P0500 Braking Methods|de|P0500 Bremsmethode|es|P0500 Mtodo de Frenado";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo" },
		{ 1, "Reverse Braki.|de|Phasenumkehr|es|Fren.Reversin" },
		{ 2, "Optimal Braki.|de|Optimales B.|es|Fre.ptimo" },
		{ 3, "DC Braking|de|DC-Bremse|es|Frenado CC" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0500
{
	SLOT 1;
	INDEX 244;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0500 }
	}
}

WRITE_P0500 LIKE READ_P0500
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0500 }
		REPLY { }
	}
}

VARIABLE P0501
{
	LABEL "P0501 Braking Time|de|P0501 Bremszeit|es|P0501 Tiempo del Frenado";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 10;
		MIN_VALUE 1;
		MAX_VALUE 299;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0501
{
	SLOT 1;
	INDEX 245;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0501 }
	}
}

WRITE_P0501 LIKE READ_P0501
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0501 }
		REPLY { }
	}
}

VARIABLE P0502
{
	LABEL "P0502 Braking Voltage Level|de|P0502 Bremsniveau|es|P0502 Nivel del Frenado";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 30;
		MIN_VALUE 30;
		MAX_VALUE 70;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0502
{
	SLOT 1;
	INDEX 246;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0502 }
	}
}

WRITE_P0502 LIKE READ_P0502
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0502 }
		REPLY { }
	}
}

VARIABLE P0503
{
	LABEL "P0503 Braking End Detection|de|P0503 Bremsende|es|P0503 Final del Frenado";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo" },
		{ 1, "Automatic|de|Automatisch|es|Automtico" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0503
{
	SLOT 1;
	INDEX 247;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0503 }
	}
}

WRITE_P0503 LIKE READ_P0503
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0503 }
		REPLY { }
	}
}

VARIABLE P0510
{
	LABEL "P0510 JOG|de|P0510 JOG|es|P0510 JOG";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo" },
		{ 1, "Active|de|Ein|es|Activo" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0510
{
	SLOT 1;
	INDEX 254;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0510 }
	}
}

WRITE_P0510 LIKE READ_P0510
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0510 }
		REPLY { }
	}
}

VARIABLE P0511
{
	LABEL "P0511 Jog Level|de|P0511 Jog Niveau|es|P0511 Nivel del Jog";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 30;
		MIN_VALUE 10;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0511
{
	SLOT 2;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0511 }
	}
}

WRITE_P0511 LIKE READ_P0511
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0511 }
		REPLY { }
	}
}

VARIABLE P0520
{
	LABEL "P0520 Kick Start|de|P0520 Startpuls|es|P0520 Pulso en el Arranque";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo" },
		{ 1, "Active|de|Ein|es|Activo" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0520
{
	SLOT 2;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0520 }
	}
}

WRITE_P0520 LIKE READ_P0520
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0520 }
		REPLY { }
	}
}

VARIABLE P0521
{
	LABEL "P0521 Kick Start Time|de|P0521 Pulsdauer|es|P0521 Tiempo Pulso Arranque";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0521
{
	SLOT 2;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0521 }
	}
}

WRITE_P0521 LIKE READ_P0521
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0521 }
		REPLY { }
	}
}

VARIABLE P0522
{
	LABEL "P0522 Kick Start Voltage|de|P0522 Pulsspannung|es|P0522 Tensin Pulso Arranq.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 70;
		MIN_VALUE 70;
		MAX_VALUE 90;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0522
{
	SLOT 2;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0522 }
	}
}

WRITE_P0522 LIKE READ_P0522
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0522 }
		REPLY { }
	}
}

VARIABLE P0523
{
	LABEL "P0523 Kick Start Current|de|P0523 Pulsstrom|es|P0523 Corriente Pulso Arra.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 500;
		MIN_VALUE 300;
		MAX_VALUE 700;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0523
{
	SLOT 2;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0523 }
	}
}

WRITE_P0523 LIKE READ_P0523
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0523 }
		REPLY { }
	}
}

VARIABLE P0550
{
	LABEL "P0550 Trace Trigger Signal|de|P0550 Triggerquelle Trace|es|P0550 Fuente Trigger Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo  " },
		{ 1, "SSW Current %|de|SSW Strom %|es|CorrienteSSW %" },
		{ 2, "Line Voltage|de|Netzspannung|es|Tensin Alime." },
		{ 3, "Output Voltage|de|Ausgangsspg.|es|Tensin Salida" },
		{ 4, "Power Factor|de|Leistungsfak.|es|FactorPotencia" },
		{ 5, "Ther.Clas.Pro.|de|Therm.Sch.Kl.|es|Prot.Clas.Tr." },
		{ 6, "Output Power W|de|Ausgangsleis.W|es|Poten.Salida W" },
		{ 7, "React.Power VA|de|Scheinleist.VA|es|Poten. Apar.VA" },
		{ 8, "Motor Torque %|de|Motordrehmom.%|es|Torque Motor %" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0550
{
	SLOT 2;
	INDEX 39;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0550 }
	}
}

WRITE_P0550 LIKE READ_P0550
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0550 }
		REPLY { }
	}
}

VARIABLE P0551
{
	LABEL "P0551 Trigger Level|de|P0551 Triggerniveau|es|P0551 Valor Trigger Trace";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0551
{
	SLOT 2;
	INDEX 40;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0551 }
	}
}

WRITE_P0551 LIKE READ_P0551
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0551 }
		REPLY { }
	}
}

VARIABLE P0552
{
	LABEL "P0552 Trigger Condition|de|P0552 Triggerbedingung|es|P0552 Condicin Trigger Tr.";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "P0550* = P0551|de|P0550* = P0551|es|P0550* = P0551" },
		{ 1, "P0550* <>P0551|de|P0550* <>P0551|es|P0550* <>P0551" },
		{ 2, "P0550* > P0551|de|P0550* > P0551|es|P0550* > P0551" },
		{ 3, "P0550* < P0551|de|P0550* < P0551|es|P0550* < P0551" },
		{ 4, "Alarm|de|Alarm |es|Alarma" },
		{ 5, "Fault|de|Fehler|es|Falla" },
		{ 6, "DIx|de|DIx |es|DIx" }
		DEFAULT_VALUE 5;
	}
}

COMMAND READ_P0552
{
	SLOT 2;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0552 }
	}
}

WRITE_P0552 LIKE READ_P0552
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0552 }
		REPLY { }
	}
}

VARIABLE P0553
{
	LABEL "P0553 Trace Sampling Period|de|P0553 Trace Abtastzeit|es|P0553 Periodo MuestreoTrace";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 1300;
	}
}

COMMAND READ_P0553
{
	SLOT 2;
	INDEX 42;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0553 }
	}
}

WRITE_P0553 LIKE READ_P0553
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0553 }
		REPLY { }
	}
}

VARIABLE P0554
{
	LABEL "P0554 Trace Pre-Trigger|de|P0554 Trace Vortrigger|es|P0554 PreTrigger Trace";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0554
{
	SLOT 2;
	INDEX 43;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0554 }
	}
}

WRITE_P0554 LIKE READ_P0554
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0554 }
		REPLY { }
	}
}

VARIABLE P0559
{
	LABEL "P0559 Trace Max. Memory|de|P0559 Trace max. Speicher|es|P0559 Memoria Mxima Trace";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0559
{
	SLOT 2;
	INDEX 48;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0559 }
	}
}

WRITE_P0559 LIKE READ_P0559
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0559 }
		REPLY { }
	}
}

VARIABLE P0560
{
	LABEL "P0560 Trace Avail. Memory|de|P0560 Trace verfg.Speicher|es|P0560 Memoria Dispon. Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P0560
{
	SLOT 2;
	INDEX 49;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0560 }
	}
}

VARIABLE P0561
{
	LABEL "P0561 Trace Channel 1 (CH1)|de|P0561 Trace Kanal 1 |es|P0561 Ch1: Canal 1 Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo  " },
		{ 1, "SSW Current %|de|SSW Strom %|es|CorrienteSSW %" },
		{ 2, "Line Voltage|de|Netzspannung|es|Tensin Alime." },
		{ 3, "Output Voltage|de|Ausgangsspg.|es|Tensin Salida" },
		{ 4, "Power Factor|de|Leistungsfak.|es|FactorPotencia" },
		{ 5, "Ther.Clas.Pro.|de|Therm.Sch.Kl.|es|Prot.Clas.Tr." },
		{ 6, "Output Power W|de|Ausgangsleis.W|es|Poten.Salida W" },
		{ 7, "React.Power VA|de|Scheinleist.VA|es|Poten. Apar.VA" },
		{ 8, "Motor Torque %|de|Motordrehmom.%|es|Torque Motor %" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0561
{
	SLOT 2;
	INDEX 50;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0561 }
	}
}

WRITE_P0561 LIKE READ_P0561
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0561 }
		REPLY { }
	}
}

VARIABLE P0562
{
	LABEL "P0562 Trace Channel 2 (CH2)|de|P0562 Trace Kanal 2|es|P0562 Ch2: Canal 2 Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo  " },
		{ 1, "SSW Current %|de|SSW Strom %|es|CorrienteSSW %" },
		{ 2, "Line Voltage|de|Netzspannung|es|Tensin Alime." },
		{ 3, "Output Voltage|de|Ausgangsspg.|es|Tensin Salida" },
		{ 4, "Power Factor|de|Leistungsfak.|es|FactorPotencia" },
		{ 5, "Ther.Clas.Pro.|de|Therm.Sch.Kl.|es|Prot.Clas.Tr." },
		{ 6, "Output Power W|de|Ausgangsleis.W|es|Poten.Salida W" },
		{ 7, "React.Power VA|de|Scheinleist.VA|es|Poten. Apar.VA" },
		{ 8, "Motor Torque %|de|Motordrehmom.%|es|Torque Motor %" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P0562
{
	SLOT 2;
	INDEX 51;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0562 }
	}
}

WRITE_P0562 LIKE READ_P0562
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0562 }
		REPLY { }
	}
}

VARIABLE P0563
{
	LABEL "P0563 Trace Channel 3 (CH3)|de|P0563 Trace Kanal 3|es|P0563 Ch3: Canal 3 Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo  " },
		{ 1, "SSW Current %|de|SSW Strom %|es|CorrienteSSW %" },
		{ 2, "Line Voltage|de|Netzspannung|es|Tensin Alime." },
		{ 3, "Output Voltage|de|Ausgangsspg.|es|Tensin Salida" },
		{ 4, "Power Factor|de|Leistungsfak.|es|FactorPotencia" },
		{ 5, "Ther.Clas.Pro.|de|Therm.Sch.Kl.|es|Prot.Clas.Tr." },
		{ 6, "Output Power W|de|Ausgangsleis.W|es|Poten.Salida W" },
		{ 7, "React.Power VA|de|Scheinleist.VA|es|Poten. Apar.VA" },
		{ 8, "Motor Torque %|de|Motordrehmom.%|es|Torque Motor %" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P0563
{
	SLOT 2;
	INDEX 52;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0563 }
	}
}

WRITE_P0563 LIKE READ_P0563
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0563 }
		REPLY { }
	}
}

VARIABLE P0564
{
	LABEL "P0564 Trace Channel 4 (CH4)|de|P0564 Trace Kanal 4|es|P0564 Ch4: Canal 4 Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo  " },
		{ 1, "SSW Current %|de|SSW Strom %|es|CorrienteSSW %" },
		{ 2, "Line Voltage|de|Netzspannung|es|Tensin Alime." },
		{ 3, "Output Voltage|de|Ausgangsspg.|es|Tensin Salida" },
		{ 4, "Power Factor|de|Leistungsfak.|es|FactorPotencia" },
		{ 5, "Ther.Clas.Pro.|de|Therm.Sch.Kl.|es|Prot.Clas.Tr." },
		{ 6, "Output Power W|de|Ausgangsleis.W|es|Poten.Salida W" },
		{ 7, "React.Power VA|de|Scheinleist.VA|es|Poten. Apar.VA" },
		{ 8, "Motor Torque %|de|Motordrehmom.%|es|Torque Motor %" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0564
{
	SLOT 2;
	INDEX 53;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0564 }
	}
}

WRITE_P0564 LIKE READ_P0564
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0564 }
		REPLY { }
	}
}

VARIABLE P0571
{
	LABEL "P0571 Start Trace Function|de|P0571 Start Trace-Funktion|es|P0571 Inicia Funcion Trace";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo  " },
		{ 1, "Active|de|Ein|es|Activo    " }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0571
{
	SLOT 2;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0571 }
	}
}

WRITE_P0571 LIKE READ_P0571
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0571 }
		REPLY { }
	}
}

VARIABLE P0572
{
	LABEL "P0572 Trace Trig. Day/Month|de|P0572 Trace Trig. Tag/Monat|es|P0572 Da/Mes Disparo Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0572 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0572
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0572 = (P0572&0x00FF) + (P0572>>8)*100; }
}

COMMAND READ_P0572
{
	SLOT 2;
	INDEX 61;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0572 }
	}
}

VARIABLE P0573
{
	LABEL "P0573 Trace Trigger Year|de|P0573 Trace Trig. Jahr|es|P0573 Ao Disparo Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0573
{
	SLOT 2;
	INDEX 62;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0573 }
	}
}

VARIABLE P0574
{
	LABEL "P0574 Trace Trigger Time|de|P0574 Trace Trig. Zeit|es|P0574 Hora Disparo Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0574 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0574
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0574 = (P0574&0x00FF) + (P0574>>8)*100; }
}

COMMAND READ_P0574
{
	SLOT 2;
	INDEX 63;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0574 }
	}
}

VARIABLE P0575
{
	LABEL "P0575 Trace Trigger Seconds|de|P0575 Trace Trig. Sekunden|es|P0575 Seg. Disparo Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 59;
	}
	HANDLING READ;
}

COMMAND READ_P0575
{
	SLOT 2;
	INDEX 64;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0575 }
	}
}

VARIABLE P0576
{
	LABEL "P0576 Trace Function Status|de|P0576 Trace Status|es|P0576 Estado Funcin Trace";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactivo  " },
		{ 1, "Waiting|de|Warten|es|Aguardando" },
		{ 2, "Triggered|de|Triggern|es|Trigger" },
		{ 3, "Concluded|de|Fertig|es|Concluido" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0576
{
	SLOT 2;
	INDEX 65;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0576 }
	}
}

VARIABLE P0680
{
	LABEL "P0680 SSW Status Word|de|P0680 SSW Status Word|es|P0680 Palabra Estado d. SSW";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P0680
{
	SLOT 2;
	INDEX 169;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0680 }
	}
}

VARIABLE P0682
{
	LABEL "P0682 Serial/USB Control|de|P0682 Serielle/USB Steuer.|es|P0682 Control Serie/USB";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P0682
{
	SLOT 2;
	INDEX 171;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0682 }
	}
}

VARIABLE P0686
{
	LABEL "P0686 Anybus-CC Control|de|P0686 Anybus-CC Steuerung|es|P0686 Control Anybus-CC";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P0686
{
	SLOT 2;
	INDEX 175;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0686 }
	}
}

WRITE_P0686 LIKE READ_P0686
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0686 }
		REPLY { }
	}
}

VARIABLE P0692
{
	LABEL "P0692 Config. Mode Status|de|P0692 Konfig.-modus Status|es|P0692 Estados Modo Config.";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P0692
{
	SLOT 2;
	INDEX 181;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0692 }
	}
}

VARIABLE P0693
{
	LABEL "P0693 Config. Mode Control|de|P0693 Konfig.-modus Steuer.|es|P0693 Control Modo Config.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P0693
{
	SLOT 2;
	INDEX 182;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0693 }
	}
}

WRITE_P0693 LIKE READ_P0693
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0693 }
		REPLY { }
	}
}

VARIABLE P0695
{
	LABEL "P0695 DOx Value|de|P0695 DOx Wert|es|P0695 Valor para DOx";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P0695
{
	SLOT 2;
	INDEX 184;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0695 }
	}
}

WRITE_P0695 LIKE READ_P0695
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0695 }
		REPLY { }
	}
}

VARIABLE P0696
{
	LABEL "P0696 AOx Value 1|de|P0696 1. AOx Wert|es|P0696 Valor 1 para AOx";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P0696
{
	SLOT 2;
	INDEX 185;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0696 }
	}
}

WRITE_P0696 LIKE READ_P0696
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0696 }
		REPLY { }
	}
}

VARIABLE P0697
{
	LABEL "P0697 AOx Value 2|de|P0697 2. AOx Wert|es|P0697 Valor 2 para AOx";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P0697
{
	SLOT 2;
	INDEX 186;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0697 }
	}
}

WRITE_P0697 LIKE READ_P0697
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0697 }
		REPLY { }
	}
}

VARIABLE P0723
{
	LABEL "P0723 Anybus Identification|de|P0723 Identifikation Anybus|es|P0723 Identificacin Anybus";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Disabled|de|Aus|es|Inactivo" },
		{ 1, "RS232|de|RS232|es|RS232" },
		{ 2, "RS422|de|RS422|es|RS422" },
		{ 3, "USB|de|USB|es|USB" },
		{ 4, "Serial Server|de|Seriel. Server|es|Serie Server" },
		{ 5, "Bluetooth|de|Bluetooth|es|Bluetooth" },
		{ 6, "Zigbee|de|Zigbee|es|Zigbee" },
		{ 7, "Reserved|de|Reserviert|es|Reservado" },
		{ 8, "Reserved|de|Reserviert|es|Reservado" },
		{ 9, "Reserved|de|Reserviert|es|Reservado" },
		{ 10, "RS485|de|RS485|es|RS485" },
		{ 11, "Reserved|de|Reserviert|es|Reservado" },
		{ 12, "Reserved|de|Reserviert|es|Reservado" },
		{ 13, "Reserved|de|Reserviert|es|Reservado" },
		{ 14, "Reserved|de|Reserviert|es|Reservado" },
		{ 15, "Reserved|de|Reserviert|es|Reservado" },
		{ 16, "Profibus DP|de|Profibus DP|es|Profibus DP" },
		{ 17, "DeviceNet|de|DeviceNet|es|DeviceNet" },
		{ 18, "CANopen|de|CANopen|es|CANopen" },
		{ 19, "EtherNet/IP|de|EtherNet/IP|es|EtherNet/IP" },
		{ 20, "CC-Link|de|CC-Link|es|CC-Link" },
		{ 21, "Modbus-TCP|de|Modbus-TCP|es|Modbus-TCP" },
		{ 22, "Modbus-RTU|de|Modbus-RTU|es|Modbus-RTU" },
		{ 23, "Profinet IO|de|Profinet IO|es|Profinet IO" },
		{ 24, "Reserved|de|Reserviert|es|Reservado" },
		{ 25, "Reserved|de|Reserviert|es|Reservado" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0723
{
	SLOT 2;
	INDEX 212;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0723 }
	}
}

VARIABLE P0724
{
	LABEL "P0724 Anybus Comm. Status|de|P0724 Anybus Komm. Status|es|P0724 Estado Comunic.Anybus";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Disabled|de|Aus|es|Inactivo" },
		{ 1, "Not Supported|de|Nicht unterst|es|No Soportado" },
		{ 2, "Access Error|de|Zugriffsfehler|es|Error Acceso" },
		{ 3, "Offline|de|Offline|es|Offline" },
		{ 4, "Online|de|Online|es|Online" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0724
{
	SLOT 2;
	INDEX 213;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0724 }
	}
}

VARIABLE P0725
{
	LABEL "P0725 Anybus Address|de|P0725 Anybus Adresse|es|P0725 Direccin del Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 255;
	}
}

COMMAND READ_P0725
{
	SLOT 2;
	INDEX 214;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0725 }
	}
}

WRITE_P0725 LIKE READ_P0725
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0725 }
		REPLY { }
	}
}

VARIABLE P0726
{
	LABEL "P0726 Anybus Baud Rate|de|P0726 Anybus Baudrate|es|P0726 Tasa Comunic. Anybus";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 3;
	}
}

COMMAND READ_P0726
{
	SLOT 2;
	INDEX 215;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0726 }
	}
}

WRITE_P0726 LIKE READ_P0726
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0726 }
		REPLY { }
	}
}

VARIABLE P0728
{
	LABEL "P0728 Anybus Read Word #2|de|P0728 Anybus Lese Wort #2|es|P0728 Lectura #2 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0728
{
	SLOT 2;
	INDEX 217;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0728 }
	}
}

WRITE_P0728 LIKE READ_P0728
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0728 }
		REPLY { }
	}
}

VARIABLE P0729
{
	LABEL "P0729 Anybus Read Word #3|de|P0729 Anybus Lese Wort #3|es|P0729 Lectura #3 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0729
{
	SLOT 2;
	INDEX 218;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0729 }
	}
}

WRITE_P0729 LIKE READ_P0729
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0729 }
		REPLY { }
	}
}

VARIABLE P0730
{
	LABEL "P0730 Anybus Read Word #4|de|P0730 Anybus Lese Wort #4|es|P0730 Lectura #4 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0730
{
	SLOT 2;
	INDEX 219;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0730 }
	}
}

WRITE_P0730 LIKE READ_P0730
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0730 }
		REPLY { }
	}
}

VARIABLE P0731
{
	LABEL "P0731 Anybus Read Word #5|de|P0731 Anybus Lese Wort #5|es|P0731 Lectura #5 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0731
{
	SLOT 2;
	INDEX 220;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0731 }
	}
}

WRITE_P0731 LIKE READ_P0731
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0731 }
		REPLY { }
	}
}

VARIABLE P0732
{
	LABEL "P0732 Anybus Read Word #6|de|P0732 Anybus Lese Wort #6|es|P0732 Lectura #6 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0732
{
	SLOT 2;
	INDEX 221;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0732 }
	}
}

WRITE_P0732 LIKE READ_P0732
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0732 }
		REPLY { }
	}
}

VARIABLE P0733
{
	LABEL "P0733 Anybus Read Word #7|de|P0733 Anybus Lese Wort #7|es|P0733 Lectura #7 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0733
{
	SLOT 2;
	INDEX 222;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0733 }
	}
}

WRITE_P0733 LIKE READ_P0733
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0733 }
		REPLY { }
	}
}

VARIABLE P0734
{
	LABEL "P0734 Anybus Read Word #8|de|P0734 Anybus Lese Wort #8|es|P0734 Lectura #8 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0734
{
	SLOT 2;
	INDEX 223;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0734 }
	}
}

WRITE_P0734 LIKE READ_P0734
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0734 }
		REPLY { }
	}
}

VARIABLE P0735
{
	LABEL "P0735 Anybus Read Word #9|de|P0735 Anybus Lese Wort #9|es|P0735 Lectura #9 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0735
{
	SLOT 2;
	INDEX 224;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0735 }
	}
}

WRITE_P0735 LIKE READ_P0735
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0735 }
		REPLY { }
	}
}

VARIABLE P0736
{
	LABEL "P0736 Anybus Read Word #10|de|P0736 Anybus Lese Wort #10|es|P0736 Lectura #10 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0736
{
	SLOT 2;
	INDEX 225;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0736 }
	}
}

WRITE_P0736 LIKE READ_P0736
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0736 }
		REPLY { }
	}
}

VARIABLE P0737
{
	LABEL "P0737 Anybus Read Word #11|de|P0737 Anybus Lese Wort #11|es|P0737 Lectura #11 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0737
{
	SLOT 2;
	INDEX 226;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0737 }
	}
}

WRITE_P0737 LIKE READ_P0737
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0737 }
		REPLY { }
	}
}

VARIABLE P0738
{
	LABEL "P0738 Anybus Read Word #12|de|P0738 Anybus Lese Wort #12|es|P0738 Lectura #12 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0738
{
	SLOT 2;
	INDEX 227;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0738 }
	}
}

WRITE_P0738 LIKE READ_P0738
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0738 }
		REPLY { }
	}
}

VARIABLE P0739
{
	LABEL "P0739 Anybus Read Word #13|de|P0739 Anybus Lese Wort #13|es|P0739 Lectura #13 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0739
{
	SLOT 2;
	INDEX 228;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0739 }
	}
}

WRITE_P0739 LIKE READ_P0739
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0739 }
		REPLY { }
	}
}

VARIABLE P0740
{
	LABEL "P0740 Anybus Read Word #14|de|P0740 Anybus Lese Wort #14|es|P0740 Lectura #14 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0740
{
	SLOT 2;
	INDEX 229;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0740 }
	}
}

WRITE_P0740 LIKE READ_P0740
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0740 }
		REPLY { }
	}
}

VARIABLE P0741
{
	LABEL "P0741 Anybus Read Word #15|de|P0741 Anybus Lese Wort #15|es|P0741 Lectura #15 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0741
{
	SLOT 2;
	INDEX 230;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0741 }
	}
}

WRITE_P0741 LIKE READ_P0741
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0741 }
		REPLY { }
	}
}

VARIABLE P0742
{
	LABEL "P0742 Anybus Read Word #16|de|P0742 Anybus Lese Wort #16|es|P0742 Lectura #16 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0742
{
	SLOT 2;
	INDEX 231;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0742 }
	}
}

WRITE_P0742 LIKE READ_P0742
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0742 }
		REPLY { }
	}
}

VARIABLE P0743
{
	LABEL "P0743 Anybus Read Word #17|de|P0743 Anybus Lese Wort #17|es|P0743 Lectura #17 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0743
{
	SLOT 2;
	INDEX 232;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0743 }
	}
}

WRITE_P0743 LIKE READ_P0743
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0743 }
		REPLY { }
	}
}

VARIABLE P0744
{
	LABEL "P0744 Anybus Read Word #18|de|P0744 Anybus Lese Wort #18|es|P0744 Lectura #18 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0744
{
	SLOT 2;
	INDEX 233;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0744 }
	}
}

WRITE_P0744 LIKE READ_P0744
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0744 }
		REPLY { }
	}
}

VARIABLE P0745
{
	LABEL "P0745 Anybus Read Word #19|de|P0745 Anybus Lese Wort #19|es|P0745 Lectura #19 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0745
{
	SLOT 2;
	INDEX 234;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0745 }
	}
}

WRITE_P0745 LIKE READ_P0745
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0745 }
		REPLY { }
	}
}

VARIABLE P0746
{
	LABEL "P0746 Anybus Read Word #20|de|P0746 Anybus Lese Wort #20|es|P0746 Lectura #20 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0746
{
	SLOT 2;
	INDEX 235;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0746 }
	}
}

WRITE_P0746 LIKE READ_P0746
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0746 }
		REPLY { }
	}
}

VARIABLE P0747
{
	LABEL "P0747 Anybus Read Word #21|de|P0747 Anybus Lese Wort #21|es|P0747 Lectura #21 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0747
{
	SLOT 2;
	INDEX 236;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0747 }
	}
}

WRITE_P0747 LIKE READ_P0747
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0747 }
		REPLY { }
	}
}

VARIABLE P0748
{
	LABEL "P0748 Anybus Read Word #22|de|P0748 Anybus Lese Wort #22|es|P0748 Lectura #22 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0748
{
	SLOT 2;
	INDEX 237;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0748 }
	}
}

WRITE_P0748 LIKE READ_P0748
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0748 }
		REPLY { }
	}
}

VARIABLE P0749
{
	LABEL "P0749 Anybus Read Word #23|de|P0749 Anybus Lese Wort #23|es|P0749 Lectura #23 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0749
{
	SLOT 2;
	INDEX 238;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0749 }
	}
}

WRITE_P0749 LIKE READ_P0749
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0749 }
		REPLY { }
	}
}

VARIABLE P0750
{
	LABEL "P0750 Anybus Read Word #24|de|P0750 Anybus Lese Wort #24|es|P0750 Lectura #24 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0750
{
	SLOT 2;
	INDEX 239;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0750 }
	}
}

WRITE_P0750 LIKE READ_P0750
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0750 }
		REPLY { }
	}
}

VARIABLE P0751
{
	LABEL "P0751 Anybus Write Word #2|de|P0751 Anybus Schr. Wort #2|es|P0751 Escrita #2 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0751
{
	SLOT 2;
	INDEX 240;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0751 }
	}
}

WRITE_P0751 LIKE READ_P0751
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0751 }
		REPLY { }
	}
}

VARIABLE P0752
{
	LABEL "P0752 Anybus Write Word #3|de|P0752 Anybus Schr. Wort #3|es|P0752 Escrita #3 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0752
{
	SLOT 2;
	INDEX 241;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0752 }
	}
}

WRITE_P0752 LIKE READ_P0752
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0752 }
		REPLY { }
	}
}

VARIABLE P0753
{
	LABEL "P0753 Anybus Write Word #4|de|P0753 Anybus Schr. Wort #4|es|P0753 Escrita #4 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0753
{
	SLOT 2;
	INDEX 242;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0753 }
	}
}

WRITE_P0753 LIKE READ_P0753
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0753 }
		REPLY { }
	}
}

VARIABLE P0754
{
	LABEL "P0754 Anybus Write Word #5|de|P0754 Anybus Schr. Wort #5|es|P0754 Escrita #5 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0754
{
	SLOT 2;
	INDEX 243;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0754 }
	}
}

WRITE_P0754 LIKE READ_P0754
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0754 }
		REPLY { }
	}
}

VARIABLE P0755
{
	LABEL "P0755 Anybus Write Word #6|de|P0755 Anybus Schr. Wort #6|es|P0755 Escrita #6 Anybus";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1059;
	}
}

COMMAND READ_P0755
{
	SLOT 2;
	INDEX 244;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0755 }
	}
}

WRITE_P0755 LIKE READ_P0755
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0755 }
		REPLY { }
	}
}

VARIABLE P0800
{
	LABEL "P0800 Motor Undervoltage|de|P0800 Motor Unterspannung|es|P0800 Subtensin Motor";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F002|de|Fehler F002|es|Falla F002" },
		{ 2, "Alarm A002|de|Alarm A002|es|Alarma A002" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0800
{
	SLOT 3;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0800 }
	}
}

WRITE_P0800 LIKE READ_P0800
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0800 }
		REPLY { }
	}
}

VARIABLE P0801
{
	LABEL "P0801 Undervoltage Level|de|P0801 Unterspannung Niveau|es|P0801 Nivel de Subtensin";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 0;
		MAX_VALUE 30;
	}
	CONSTANT_UNIT "%Vn";
}

COMMAND READ_P0801
{
	SLOT 3;
	INDEX 35;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0801 }
	}
}

WRITE_P0801 LIKE READ_P0801
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0801 }
		REPLY { }
	}
}

VARIABLE P0802
{
	LABEL "P0802 Undervoltage Time|de|P0802 Unterspannungzeit|es|P0802 Tiempo de Subtensin";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0802
{
	SLOT 3;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0802 }
	}
}

WRITE_P0802 LIKE READ_P0802
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0802 }
		REPLY { }
	}
}

VARIABLE P0803
{
	LABEL "P0803 Motor Overvoltage|de|P0803 Motor berspannung|es|P0803 Sobretensin Motor";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F016|de|Fehler F016|es|Falla F016" },
		{ 2, "Alarm A016|de|Alarm A016|es|Alarma A016" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0803
{
	SLOT 3;
	INDEX 37;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0803 }
	}
}

WRITE_P0803 LIKE READ_P0803
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0803 }
		REPLY { }
	}
}

VARIABLE P0804
{
	LABEL "P0804 Overvoltage Level|de|P0804 berspannung Niveau|es|P0804 Nivel d. Sobretensin";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 15;
		MIN_VALUE 0;
		MAX_VALUE 20;
	}
	CONSTANT_UNIT "%Vn";
}

COMMAND READ_P0804
{
	SLOT 3;
	INDEX 38;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0804 }
	}
}

WRITE_P0804 LIKE READ_P0804
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0804 }
		REPLY { }
	}
}

VARIABLE P0805
{
	LABEL "P0805 Overvoltage Time|de|P0805 berspannungzeit|es|P0805 Tiempo d.Sobretensin";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0805
{
	SLOT 3;
	INDEX 39;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0805 }
	}
}

WRITE_P0805 LIKE READ_P0805
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0805 }
		REPLY { }
	}
}

VARIABLE P0806
{
	LABEL "P0806 Motor Volt. Imbalance|de|P0806 Motor Spg.-asymmetrie|es|P0806 Desbalance d. Tensin";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F001|de|Fehler F001|es|Falla F001" },
		{ 2, "Alarm A001|de|Alarm A001|es|Alarma A001" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0806
{
	SLOT 3;
	INDEX 40;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0806 }
	}
}

WRITE_P0806 LIKE READ_P0806
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0806 }
		REPLY { }
	}
}

VARIABLE P0807
{
	LABEL "P0807 Volt. Inbalance Level|de|P0807 Spg.-asymmetrieNiveau|es|P0807 Nivel Desbal. Tensin";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 15;
		MIN_VALUE 0;
		MAX_VALUE 30;
	}
	CONSTANT_UNIT "%Vn";
}

COMMAND READ_P0807
{
	SLOT 3;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0807 }
	}
}

WRITE_P0807 LIKE READ_P0807
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0807 }
		REPLY { }
	}
}

VARIABLE P0808
{
	LABEL "P0808 Voltage Inbal. Time|de|P0808 Spg.-asymmetrie Zeit|es|P0808 Tiempo Desbal.Tensin";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0808
{
	SLOT 3;
	INDEX 42;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0808 }
	}
}

WRITE_P0808 LIKE READ_P0808
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0808 }
		REPLY { }
	}
}

VARIABLE P0809
{
	LABEL "P0809 Eletric Arc Detection|de|P0809 Lichtbogenwchter|es|P0809 Detencin de Arco";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "On        |de|Ein|es|Activa" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0809
{
	SLOT 3;
	INDEX 43;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0809 }
	}
}

WRITE_P0809 LIKE READ_P0809
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0809 }
		REPLY { }
	}
}

VARIABLE P0810
{
	LABEL "P0810 Motor Undercurrent|de|P0810 Unterstrom|es|P0810 Subcorriente";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F065|de|Fehler F065|es|Falla F065" },
		{ 2, "Alarm A065|de|Alarm A065|es|Alarma A065" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0810
{
	SLOT 3;
	INDEX 44;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0810 }
	}
}

WRITE_P0810 LIKE READ_P0810
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0810 }
		REPLY { }
	}
}

VARIABLE P0811
{
	LABEL "P0811 Undercurrent Level|de|P0811 Unterstrom Niveau|es|P0811 Nivel de Subcorriente";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "%In";
}

COMMAND READ_P0811
{
	SLOT 3;
	INDEX 45;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0811 }
	}
}

WRITE_P0811 LIKE READ_P0811
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0811 }
		REPLY { }
	}
}

VARIABLE P0812
{
	LABEL "P0812 Undercurrent Time|de|P0812 Unterstromzeit|es|P0812 Tiempo d.Subcorriente";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0812
{
	SLOT 3;
	INDEX 46;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0812 }
	}
}

WRITE_P0812 LIKE READ_P0812
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0812 }
		REPLY { }
	}
}

VARIABLE P0813
{
	LABEL "P0813 Motor Overcurrent|de|P0813 berstrom|es|P0813 Sobrecorriente";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F066|de|Fehler F066|es|Falla F066" },
		{ 2, "Alarm A066|de|Alarm A066|es|Alarma A066" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0813
{
	SLOT 3;
	INDEX 47;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0813 }
	}
}

WRITE_P0813 LIKE READ_P0813
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0813 }
		REPLY { }
	}
}

VARIABLE P0814
{
	LABEL "P0814 Overcurrent Level|de|P0814 berstrom Niveau|es|P0814 Nivel Sobrecorriente";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "%In";
}

COMMAND READ_P0814
{
	SLOT 3;
	INDEX 48;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0814 }
	}
}

WRITE_P0814 LIKE READ_P0814
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0814 }
		REPLY { }
	}
}

VARIABLE P0815
{
	LABEL "P0815 Overcurrent Time|de|P0815 berstromzeit|es|P0815 Tiempo Sobrecorriente";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0815
{
	SLOT 3;
	INDEX 49;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0815 }
	}
}

WRITE_P0815 LIKE READ_P0815
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0815 }
		REPLY { }
	}
}

VARIABLE P0816
{
	LABEL "P0816 Current Inbalance |de|P0816 Stromasymmetrie|es|P0816 Desbalance Corriente";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F074|de|Fehler F074|es|Falla F074" },
		{ 2, "Alarm A074|de|Alarm A074|es|Alarma A074" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0816
{
	SLOT 3;
	INDEX 50;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0816 }
	}
}

WRITE_P0816 LIKE READ_P0816
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0816 }
		REPLY { }
	}
}

VARIABLE P0817
{
	LABEL "P0817 Curr. Inbalance Level|de|P0817 Stromasymmetrieniveau|es|P0817 Nivel Desba.Corriente";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 15;
		MIN_VALUE 0;
		MAX_VALUE 30;
	}
	CONSTANT_UNIT "%In";
}

COMMAND READ_P0817
{
	SLOT 3;
	INDEX 51;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0817 }
	}
}

WRITE_P0817 LIKE READ_P0817
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0817 }
		REPLY { }
	}
}

VARIABLE P0818
{
	LABEL "P0818 Curr. Inbalance Time|de|P0818 Stromasymmetrie Zeit|es|P0818 Tiempo Desbalan. Cor.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0818
{
	SLOT 3;
	INDEX 52;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0818 }
	}
}

WRITE_P0818 LIKE READ_P0818
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0818 }
		REPLY { }
	}
}

VARIABLE P0819
{
	LABEL "P0819 Bypass Undercurrent|de|P0819 Bypassunterstrom|es|P0819 Subcorri.Cierr.Bypass";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F076|de|Fehler F076|es|Falla F076" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0819
{
	SLOT 3;
	INDEX 53;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0819 }
	}
}

WRITE_P0819 LIKE READ_P0819
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0819 }
		REPLY { }
	}
}

VARIABLE P0820
{
	LABEL "P0820 Loked Rotor Start End|de|P0820 Festgebremster Lufer|es|P0820 Rotor Bloqueado Arra.";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F063|de|Fehler F063|es|Falla F063" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0820
{
	SLOT 3;
	INDEX 54;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0820 }
	}
}

WRITE_P0820 LIKE READ_P0820
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0820 }
		REPLY { }
	}
}

VARIABLE P0825
{
	LABEL "P0825 Ground Fault|de|P0825 Massenschluss|es|P0825 Falta a Tierra";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Indicates (A)|de|Anzeige (A)|es|Indica (A)" },
		{ 2, "Indicates (V)|de|Anzeige (V)|es|Indica (V)" },
		{ 3, "Fault F011 (A)|de|Fehler F011(A)|es|Falla F011 (A)" },
		{ 4, "Fault F012 (V)|de|Fehler F012(V)|es|Falla F012 (V)" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0825
{
	SLOT 3;
	INDEX 59;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0825 }
	}
}

WRITE_P0825 LIKE READ_P0825
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0825 }
		REPLY { }
	}
}

VARIABLE P0826
{
	LABEL "P0826 Ground Fault Level(A)|de|P0826 Massenschlu.Niveau(A)|es|P0826 Nivel Falta Tierra(A)";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P0826
{
	SLOT 3;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0826 }
	}
}

WRITE_P0826 LIKE READ_P0826
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0826 }
		REPLY { }
	}
}

VARIABLE P0827
{
	LABEL "P0827 Ground Fault Level(V)|de|P0827 Massenschlu.Niveau(V)|es|P0827 Nivel Falta Tierra(V)";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 100;
		MIN_VALUE 1;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
}

COMMAND READ_P0827
{
	SLOT 3;
	INDEX 61;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0827 }
	}
}

WRITE_P0827 LIKE READ_P0827
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0827 }
		REPLY { }
	}
}

VARIABLE P0828
{
	LABEL "P0828 Ground Fault Time|de|P0828 Massenschluss Zeit|es|P0828 Tiempo Falta Tierra";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0828
{
	SLOT 3;
	INDEX 62;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0828 }
	}
}

WRITE_P0828 LIKE READ_P0828
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0828 }
		REPLY { }
	}
}

VARIABLE P0830
{
	LABEL "P0830 123 Phase Sequence|de|P0830 Phasenumkehr 123|es|P0830 Secuencia de Fase 123";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F067|de|Fehler F067|es|Falho F067" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0830
{
	SLOT 3;
	INDEX 64;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0830 }
	}
}

WRITE_P0830 LIKE READ_P0830
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0830 }
		REPLY { }
	}
}

VARIABLE P0831
{
	LABEL "P0831 Restart Delay|de|P0831 Wiederstartpause|es|P0831 Interv. Luego Parada";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 240;
		MIN_VALUE 2;
		MAX_VALUE 999;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0831
{
	SLOT 3;
	INDEX 65;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0831 }
	}
}

WRITE_P0831 LIKE READ_P0831
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0831 }
		REPLY { }
	}
}

VARIABLE P0835
{
	LABEL "P0835 Thermal Class Protec.|de|P0835 Therm. Scutzklasse|es|P0835 Prot. Clase Trmica";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F005|de|Fehler F005|es|Falla F005" },
		{ 2, "Alarm A005|de|Alarm A005|es|Alarma A005" },
		{ 3, "F005 and A005|de|F005 und A005|es|F005 y A005" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0835
{
	SLOT 3;
	INDEX 69;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0835 }
	}
}

WRITE_P0835 LIKE READ_P0835
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0835 }
		REPLY { }
	}
}

VARIABLE P0836
{
	LABEL "P0836 Ther.Cla.Alarm Level|de|P0836 Ther.SKl.Alarm Niveau|es|P0836 Nivel Alarma Cla.Ter.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 90;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0836
{
	SLOT 3;
	INDEX 70;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0836 }
	}
}

WRITE_P0836 LIKE READ_P0836
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0836 }
		REPLY { }
	}
}

VARIABLE P0837
{
	LABEL "P0837 Ther.Cla.Alarm Reset|de|P0837 Ther.SKl.Alarm Reset|es|P0837 Reset Alarma Cla.Ter.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 84;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P0837
{
	SLOT 3;
	INDEX 71;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0837 }
	}
}

WRITE_P0837 LIKE READ_P0837
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0837 }
		REPLY { }
	}
}

VARIABLE P0838
{
	LABEL "P0838 Thermal Class Mode|de|P0838 Konf. Therm. Sch.Kl.|es|P0838 Modo Clase Trmica";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "T.C. + IOE|de|T.K. + IOE|es|C.T. + IOE" },
		{ 1, "T.C. + Th.Im.|de|T.K. + Th.Bi.|es|C.T. + Im.Tr." }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0838
{
	SLOT 3;
	INDEX 72;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0838 }
	}
}

WRITE_P0838 LIKE READ_P0838
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0838 }
		REPLY { }
	}
}

VARIABLE P0839
{
	LABEL "P0839 Thermal Class|de|P0839 Therm. Schutzklasse|es|P0839 Clase Trmica";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Automatic|de|Automatisch|es|Automtica" },
		{ 1, "Class 10|de|Klasse 10|es|Clase 10" },
		{ 2, "Class 15|de|Klasse 15|es|Clase 15" },
		{ 3, "Class 20|de|Klasse 20|es|Clase 20" },
		{ 4, "Class 25|de|Klasse 25|es|Clase 25" },
		{ 5, "Class 30|de|Klasse 30|es|Clase 30" },
		{ 6, "Class 35|de|Klasse 35|es|Clase 35" },
		{ 7, "Class 40|de|Klasse 40|es|Clase 40" },
		{ 8, "Class 45|de|Klasse 45|es|Clase 45" },
		{ 9, "Class 50|de|Klasse 50|es|Clase 50" },
		{ 10, "Class 55|de|Klasse 55|es|Clase 55" },
		{ 11, "Class 60|de|Klasse 60|es|Clase 60" },
		{ 12, "Class 65|de|Klasse 65|es|Clase 65" }
		DEFAULT_VALUE 5;
	}
}

COMMAND READ_P0839
{
	SLOT 3;
	INDEX 73;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0839 }
	}
}

WRITE_P0839 LIKE READ_P0839
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0839 }
		REPLY { }
	}
}

VARIABLE P0840
{
	LABEL "P0840 Insulation Class|de|P0840 Motorisolierung|es|P0840 Clase de Aislamiento ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Class A 105C|de|Klasse A 105C|es|Clase A 105C" },
		{ 1, "Class E 120C|de|Klasse E 120C|es|Clase E 120C" },
		{ 2, "Class B 130C|de|Klasse B 130C|es|Clase B 130C" },
		{ 3, "Class F 155C|de|Klasse F 155C|es|Clase F 155C" },
		{ 4, "Class H 180C|de|Klasse H 180C|es|Clase H 180C" },
		{ 5, "Class N 200C|de|Klasse N 200C|es|Clase N 200C" },
		{ 6, "Class R 220C|de|Klasse R 220C|es|Clase R 220C" },
		{ 7, "Class S 240C|de|Klasse S 240C|es|Clase S 240C" },
		{ 8, "Class 250C|de|Klasse 250C|es|Clase 250C" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P0840
{
	SLOT 3;
	INDEX 74;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0840 }
	}
}

WRITE_P0840 LIKE READ_P0840
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0840 }
		REPLY { }
	}
}

VARIABLE P0841
{
	LABEL "P0841 Ambient Temperature|de|P0841 Umgebungstemperatur|es|P0841 Temperatura Ambiente ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 40;
		MIN_VALUE 0;
		MAX_VALUE 200;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0841
{
	SLOT 3;
	INDEX 75;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0841 }
	}
}

WRITE_P0841 LIKE READ_P0841
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0841 }
		REPLY { }
	}
}

VARIABLE P0842
{
	LABEL "P0842 Temperature Rise|de|P0842 Temperaturanstieg|es|P0842 Variacin Temperatura";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 60;
		MIN_VALUE 0;
		MAX_VALUE 200;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0842
{
	SLOT 3;
	INDEX 76;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0842 }
	}
}

WRITE_P0842 LIKE READ_P0842
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0842 }
		REPLY { }
	}
}

VARIABLE P0843
{
	LABEL "P0843 Locked Rotor Time|de|P0843 Festgeb. Rotor Zeit|es|P0843 Tiempo Rotor Bloquea.";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 10;
		MIN_VALUE 1;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0843
{
	SLOT 3;
	INDEX 77;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0843 }
	}
}

WRITE_P0843 LIKE READ_P0843
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0843 }
		REPLY { }
	}
}

VARIABLE P0844
{
	LABEL "P0844 Locked Rotor Current|de|P0844 Festgeb. Rotor-Strom|es|P0844 Corri.Rotor Bloqueado";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "x";
}

COMMAND READ_P0844
{
	SLOT 3;
	INDEX 78;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0844 }
	}
}

WRITE_P0844 LIKE READ_P0844
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0844 }
		REPLY { }
	}
}

VARIABLE P0845
{
	LABEL "P0845 Heating Time Constant|de|P0845 Erwrmungszeitkonst.|es|P0845 Const. Calentamiento";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 33;
		MIN_VALUE 1;
		MAX_VALUE 2880;
	}
	CONSTANT_UNIT "min";
}

COMMAND READ_P0845
{
	SLOT 3;
	INDEX 79;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0845 }
	}
}

WRITE_P0845 LIKE READ_P0845
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0845 }
		REPLY { }
	}
}

VARIABLE P0846
{
	LABEL "P0846 Cooling Time Constant|de|P0846 Abkhlzeitkonstante|es|P0846 Const. Resfriamiento";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 99;
		MIN_VALUE 1;
		MAX_VALUE 8640;
	}
	CONSTANT_UNIT "min";
}

COMMAND READ_P0846
{
	SLOT 3;
	INDEX 80;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0846 }
	}
}

WRITE_P0846 LIKE READ_P0846
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0846 }
		REPLY { }
	}
}

VARIABLE P0847
{
	LABEL "P0847 Thermal Image Reset|de|P0847 Reset Therm. Abbild|es|P0847 Reset Imagem Trmica";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 8640;
	}
	CONSTANT_UNIT "min";
}

COMMAND READ_P0847
{
	SLOT 3;
	INDEX 81;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0847 }
	}
}

WRITE_P0847 LIKE READ_P0847
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0847 }
		REPLY { }
	}
}

VARIABLE P0850
{
	LABEL "P0850 Undertorque    |de|P0850 Untermoment     |es|P0850 Subtorque       ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F078|de|Fehler F078|es|Falla F078" },
		{ 2, "Alarm A078|de|Alarm A078|es|Alarma A078" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0850
{
	SLOT 3;
	INDEX 84;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0850 }
	}
}

WRITE_P0850 LIKE READ_P0850
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0850 }
		REPLY { }
	}
}

VARIABLE P0851
{
	LABEL "P0851 Undertorque Level|de|P0851 Untermoment Niveau|es|P0851 Nivel de Subtorque";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 30;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "%Tn";
}

COMMAND READ_P0851
{
	SLOT 3;
	INDEX 85;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0851 }
	}
}

WRITE_P0851 LIKE READ_P0851
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0851 }
		REPLY { }
	}
}

VARIABLE P0852
{
	LABEL "P0852 Undertorque Time|de|P0852 Untermomentzeit |es|P0852 Tiempo de Subtorque";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0852
{
	SLOT 3;
	INDEX 86;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0852 }
	}
}

WRITE_P0852 LIKE READ_P0852
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0852 }
		REPLY { }
	}
}

VARIABLE P0853
{
	LABEL "P0853 Overtorque     |de|P0853 bermoment      |es|P0853 Sobretorque    ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F079|de|Fehler F079|es|Falla F079" },
		{ 2, "Alarm A079|de|Alarm A079|es|Alarma A079" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0853
{
	SLOT 3;
	INDEX 87;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0853 }
	}
}

WRITE_P0853 LIKE READ_P0853
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0853 }
		REPLY { }
	}
}

VARIABLE P0854
{
	LABEL "P0854 Overtorque Level|de|P0854 bermoment Niveau|es|P0854 Nivel de Sobretorque";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 30;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "%Tn";
}

COMMAND READ_P0854
{
	SLOT 3;
	INDEX 88;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0854 }
	}
}

WRITE_P0854 LIKE READ_P0854
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0854 }
		REPLY { }
	}
}

VARIABLE P0855
{
	LABEL "P0855 Overtorque Time|de|P0855 bermomentzeit  |es|P0855 Tiempo d.Sobretorque";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0855
{
	SLOT 3;
	INDEX 89;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0855 }
	}
}

WRITE_P0855 LIKE READ_P0855
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0855 }
		REPLY { }
	}
}

VARIABLE P0860
{
	LABEL "P0860 Underpower     |de|P0860 Unterleistung   |es|P0860 Subpotencia     ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F080|de|Fehler F080|es|Falla F080" },
		{ 2, "Alarm A080|de|Alarm A080|es|Alarma A080" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0860
{
	SLOT 3;
	INDEX 94;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0860 }
	}
}

WRITE_P0860 LIKE READ_P0860
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0860 }
		REPLY { }
	}
}

VARIABLE P0861
{
	LABEL "P0861 Underpower Level|de|P0861 Unterleistung Niveau|es|P0861 Nivel de Subpotencia";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 30;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "%Pn";
}

COMMAND READ_P0861
{
	SLOT 3;
	INDEX 95;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0861 }
	}
}

WRITE_P0861 LIKE READ_P0861
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0861 }
		REPLY { }
	}
}

VARIABLE P0862
{
	LABEL "P0862 Underpower Time|de|P0862 Unterleistungzeit|es|P0862 Tiempo de Subpotencia";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0862
{
	SLOT 3;
	INDEX 96;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0862 }
	}
}

WRITE_P0862 LIKE READ_P0862
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0862 }
		REPLY { }
	}
}

VARIABLE P0863
{
	LABEL "P0863 Overpower      |de|P0863 berleistung    |es|P0863 Sobrepotencia  ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F081|de|Fehler F081|es|Falla F081" },
		{ 2, "Alarm A081|de|Alarm A081|es|Alarma A081" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0863
{
	SLOT 3;
	INDEX 97;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0863 }
	}
}

WRITE_P0863 LIKE READ_P0863
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0863 }
		REPLY { }
	}
}

VARIABLE P0864
{
	LABEL "P0864 Overpower Level|de|P0864 berleistung Niveau|es|P0864 Nivel Sobrepotencia";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 30;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "%Pn";
}

COMMAND READ_P0864
{
	SLOT 3;
	INDEX 98;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0864 }
	}
}

WRITE_P0864 LIKE READ_P0864
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0864 }
		REPLY { }
	}
}

VARIABLE P0865
{
	LABEL "P0865 Overpower Time|de|P0865 berleistungzeit|es|P0865 Tiempo Sobrepotencia";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P0865
{
	SLOT 3;
	INDEX 99;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0865 }
	}
}

WRITE_P0865 LIKE READ_P0865
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0865 }
		REPLY { }
	}
}

VARIABLE P0866
{
	LABEL "P0866 Ch1 Overtemperature|de|P0866 berhitzung Ka1|es|P0866 Sobretemperatura Ch1";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F101|de|Fehler F101|es|Falla F101" },
		{ 2, "Alarm A101|de|Alarm A101|es|Alarma A101" },
		{ 3, "F101 and A101|de|F101 und A101|es|F101 y A101" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0866
{
	SLOT 3;
	INDEX 100;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0866 }
	}
}

WRITE_P0866 LIKE READ_P0866
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0866 }
		REPLY { }
	}
}

VARIABLE P0867
{
	LABEL "P0867 Ch1 Overte.FaultLevel|de|P0867 berhitz.Fehl.Niv.Ka1|es|P0867 Niv.Falla Sobtemp.Ch1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 139;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0867
{
	SLOT 3;
	INDEX 101;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0867 }
	}
}

WRITE_P0867 LIKE READ_P0867
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0867 }
		REPLY { }
	}
}

VARIABLE P0868
{
	LABEL "P0868 Ch1 Overte.AlarmLevel|de|P0868 berhitz.AlarmNiv.Ka1|es|P0868 Niv.Alarm.Sobtemp.Ch1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 124;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0868
{
	SLOT 3;
	INDEX 102;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0868 }
	}
}

WRITE_P0868 LIKE READ_P0868
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0868 }
		REPLY { }
	}
}

VARIABLE P0869
{
	LABEL "P0869 Ch1 Overte.AlarmReset|de|P0869 berhitz.AlarmRes.Ka1|es|P0869 ResetAlarm.Sobtem.Ch1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 108;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0869
{
	SLOT 3;
	INDEX 103;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0869 }
	}
}

WRITE_P0869 LIKE READ_P0869
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0869 }
		REPLY { }
	}
}

VARIABLE P0870
{
	LABEL "P0870 Ch2 Overtemperature|de|P0870 berhitzung Ka2|es|P0870 Sobretemperatura Ch2";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F102|de|Fehler F102|es|Falla F102" },
		{ 2, "Alarm A102|de|Alarm A102|es|Alarma A102" },
		{ 3, "F102 and A102|de|F101 und A102|es|F101 y A102" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0870
{
	SLOT 3;
	INDEX 104;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0870 }
	}
}

WRITE_P0870 LIKE READ_P0870
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0870 }
		REPLY { }
	}
}

VARIABLE P0871
{
	LABEL "P0871 Ch2 Overte.FaultLevel|de|P0871 berhitz.Fehl.Niv.Ka2|es|P0871 Niv.Falla Sobtemp.Ch2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 139;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0871
{
	SLOT 3;
	INDEX 105;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0871 }
	}
}

WRITE_P0871 LIKE READ_P0871
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0871 }
		REPLY { }
	}
}

VARIABLE P0872
{
	LABEL "P0872 Ch2 Overte.AlarmLevel|de|P0872 berhitz.AlarmNiv.Ka2|es|P0872 Niv.Alarm.Sobtemp.Ch2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 124;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0872
{
	SLOT 3;
	INDEX 106;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0872 }
	}
}

WRITE_P0872 LIKE READ_P0872
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0872 }
		REPLY { }
	}
}

VARIABLE P0873
{
	LABEL "P0873 Ch2 Overte.AlarmReset|de|P0873 berhitz.AlarmRes.Ka2|es|P0873 ResetAlarm.Sobtem.Ch2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 108;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0873
{
	SLOT 3;
	INDEX 107;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0873 }
	}
}

WRITE_P0873 LIKE READ_P0873
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0873 }
		REPLY { }
	}
}

VARIABLE P0874
{
	LABEL "P0874 Ch3 Overtemperature|de|P0874 berhitzung Ka3|es|P0874 Sobretemperatura Ch3";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F103|de|Fehler F103|es|Falla F103" },
		{ 2, "Alarm A103|de|Alarm A103|es|Alarma A103" },
		{ 3, "F103 and A103|de|F103 und A103|es|F103 y A103" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0874
{
	SLOT 3;
	INDEX 108;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0874 }
	}
}

WRITE_P0874 LIKE READ_P0874
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0874 }
		REPLY { }
	}
}

VARIABLE P0875
{
	LABEL "P0875 Ch3 Overte.FaultLevel|de|P0875 berhitz.Fehl.Niv.Ka3|es|P0875 Niv.Falla Sobtemp.Ch3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 139;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0875
{
	SLOT 3;
	INDEX 109;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0875 }
	}
}

WRITE_P0875 LIKE READ_P0875
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0875 }
		REPLY { }
	}
}

VARIABLE P0876
{
	LABEL "P0876 Ch3 Overte.AlarmLevel|de|P0876 berhitz.AlarmNiv.Ka3|es|P0876 Niv.Alarm.Sobtemp.Ch3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 124;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0876
{
	SLOT 3;
	INDEX 110;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0876 }
	}
}

WRITE_P0876 LIKE READ_P0876
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0876 }
		REPLY { }
	}
}

VARIABLE P0877
{
	LABEL "P0877 Ch3 Overte.AlarmReset|de|P0877 berhitz.AlarmRes.Ka3|es|P0877 ResetAlarm.Sobtem.Ch3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 108;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0877
{
	SLOT 3;
	INDEX 111;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0877 }
	}
}

WRITE_P0877 LIKE READ_P0877
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0877 }
		REPLY { }
	}
}

VARIABLE P0878
{
	LABEL "P0878 Ch4 Overtemperature|de|P0878 berhitzung Ka4|es|P0878 Sobretemperatura Ch4";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F104|de|Fehler F104|es|Falla F104" },
		{ 2, "Alarm A104|de|Alarm A104|es|Alarma A104" },
		{ 3, "F104 and A104|de|F104 und A104|es|F104 y A104" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0878
{
	SLOT 3;
	INDEX 112;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0878 }
	}
}

WRITE_P0878 LIKE READ_P0878
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0878 }
		REPLY { }
	}
}

VARIABLE P0879
{
	LABEL "P0879 Ch4 Overte.FaultLevel|de|P0879 berhitz.Fehl.Niv.Ka4|es|P0879 Niv.Falla Sobtemp.Ch4";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 139;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0879
{
	SLOT 3;
	INDEX 113;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0879 }
	}
}

WRITE_P0879 LIKE READ_P0879
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0879 }
		REPLY { }
	}
}

VARIABLE P0880
{
	LABEL "P0880 Ch4 Overte.AlarmLevel|de|P0880 berhitz.AlarmNiv.Ka4|es|P0880 Niv.Alarm.Sobtemp.Ch4";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 124;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0880
{
	SLOT 3;
	INDEX 114;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0880 }
	}
}

WRITE_P0880 LIKE READ_P0880
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0880 }
		REPLY { }
	}
}

VARIABLE P0881
{
	LABEL "P0881 Ch4 Overte.AlarmReset|de|P0881 berhitz.AlarmRes.Ka4|es|P0881 ResetAlarm.Sobtem.Ch4";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 108;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0881
{
	SLOT 3;
	INDEX 115;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0881 }
	}
}

WRITE_P0881 LIKE READ_P0881
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0881 }
		REPLY { }
	}
}

VARIABLE P0882
{
	LABEL "P0882 Ch5 Overtemperature|de|P0882 berhitzung Ka5|es|P0882 Sobretemperatura Ch5";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F105|de|Fehler F105|es|Falla F105" },
		{ 2, "Alarm A105|de|Alarm A105|es|Alarma A105" },
		{ 3, "F105 and A105|de|F105 und A105|es|F105 y A105" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0882
{
	SLOT 3;
	INDEX 116;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0882 }
	}
}

WRITE_P0882 LIKE READ_P0882
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0882 }
		REPLY { }
	}
}

VARIABLE P0883
{
	LABEL "P0883 Ch5 Overte.FaultLevel|de|P0883 berhitz.Fehl.Niv.Ka5|es|P0883 Niv.Falla Sobtemp.Ch5";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 139;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0883
{
	SLOT 3;
	INDEX 117;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0883 }
	}
}

WRITE_P0883 LIKE READ_P0883
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0883 }
		REPLY { }
	}
}

VARIABLE P0884
{
	LABEL "P0884 Ch5 Overte.AlarmLevel|de|P0884 berhitz.AlarmNiv.Ka5|es|P0884 Niv.Alarm.Sobtemp.Ch5";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 124;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0884
{
	SLOT 3;
	INDEX 118;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0884 }
	}
}

WRITE_P0884 LIKE READ_P0884
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0884 }
		REPLY { }
	}
}

VARIABLE P0885
{
	LABEL "P0885 Ch5 Overte.AlarmReset|de|P0885 berhitz.AlarmRes.Ka5|es|P0885 ResetAlarm.Sobtem.Ch5";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 108;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0885
{
	SLOT 3;
	INDEX 119;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0885 }
	}
}

WRITE_P0885 LIKE READ_P0885
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0885 }
		REPLY { }
	}
}

VARIABLE P0886
{
	LABEL "P0886 Ch6 Overtemperature|de|P0886 berhitzung Ka6|es|P0886 Sobretemperatura Ch6";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F106|de|Fehler F106|es|Falla F106" },
		{ 2, "Alarm A106|de|Alarm A106|es|Alarma A106" },
		{ 3, "F106 and A106|de|F106 und A106|es|F106 y A106" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0886
{
	SLOT 3;
	INDEX 120;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0886 }
	}
}

WRITE_P0886 LIKE READ_P0886
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0886 }
		REPLY { }
	}
}

VARIABLE P0887
{
	LABEL "P0887 Ch6 Overte.FaultLevel|de|P0887 berhitz.Fehl.Niv.Ka6|es|P0887 Niv.Falla Sobtemp.Ch6";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 139;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0887
{
	SLOT 3;
	INDEX 121;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0887 }
	}
}

WRITE_P0887 LIKE READ_P0887
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0887 }
		REPLY { }
	}
}

VARIABLE P0888
{
	LABEL "P0888 Ch6 Overte.AlarmLevel|de|P0888 berhitz.AlarmNiv.Ka6|es|P0888 Niv.Alarm.Sobtemp.Ch6";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 124;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0888
{
	SLOT 3;
	INDEX 122;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0888 }
	}
}

WRITE_P0888 LIKE READ_P0888
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0888 }
		REPLY { }
	}
}

VARIABLE P0889
{
	LABEL "P0889 Ch6 Overte.AlarmReset|de|P0889 berhitz.AlarmRes.Ka6|es|P0889 ResetAlarm.Sobtem.Ch6";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 108;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0889
{
	SLOT 3;
	INDEX 123;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0889 }
	}
}

WRITE_P0889 LIKE READ_P0889
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0889 }
		REPLY { }
	}
}

VARIABLE P0890
{
	LABEL "P0890 Ch7 Overtemperature|de|P0890 berhitzung Ka7|es|P0890 Sobretemperatura Ch7";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F107|de|Fehler F107|es|Falha F107" },
		{ 2, "Alarm A107|de|Alarm A107|es|Alarma A107" },
		{ 3, "F107 and A107|de|F101 und A107|es|F107 y A107" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0890
{
	SLOT 3;
	INDEX 124;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0890 }
	}
}

WRITE_P0890 LIKE READ_P0890
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0890 }
		REPLY { }
	}
}

VARIABLE P0891
{
	LABEL "P0891 Ch7 Overte.FaultLevel|de|P0891 berhitz.Fehl.Niv.Ka7|es|P0891 Niv.Falla Sobtemp.Ch7";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 139;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0891
{
	SLOT 3;
	INDEX 125;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0891 }
	}
}

WRITE_P0891 LIKE READ_P0891
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0891 }
		REPLY { }
	}
}

VARIABLE P0892
{
	LABEL "P0892 Ch7 Overte.AlarmLevel|de|P0892 berhitz.AlarmNiv.Ka7|es|P0892 Niv.Alarm.Sobtemp.Ch7";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 124;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0892
{
	SLOT 3;
	INDEX 126;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0892 }
	}
}

WRITE_P0892 LIKE READ_P0892
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0892 }
		REPLY { }
	}
}

VARIABLE P0893
{
	LABEL "P0893 Ch7 Overte.AlarmReset|de|P0893 berhitz.AlarmRes.Ka7|es|P0893 ResetAlarm.Sobtem.Ch7";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 108;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0893
{
	SLOT 3;
	INDEX 127;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0893 }
	}
}

WRITE_P0893 LIKE READ_P0893
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0893 }
		REPLY { }
	}
}

VARIABLE P0894
{
	LABEL "P0894 Ch8 Overtemperature|de|P0894 berhitzung Ka8|es|P0894 Sobretemperatura Ch8";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F108|de|Fehler F108|es|Falha F108" },
		{ 2, "Alarm A108|de|Alarm A108|es|Alarma A108" },
		{ 3, "F108 and A108|de|F108 und A108|es|F108 y A108" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P0894
{
	SLOT 3;
	INDEX 128;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0894 }
	}
}

WRITE_P0894 LIKE READ_P0894
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0894 }
		REPLY { }
	}
}

VARIABLE P0895
{
	LABEL "P0895 Ch8 Overte.FaultLevel|de|P0895 berhitz.Fehl.Niv.Ka8|es|P0895 Niv.Falla Sobtemp.Ch8";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 139;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0895
{
	SLOT 3;
	INDEX 129;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0895 }
	}
}

WRITE_P0895 LIKE READ_P0895
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0895 }
		REPLY { }
	}
}

VARIABLE P0896
{
	LABEL "P0896 Ch8 Overte.AlarmLevel|de|P0896 berhitz.AlarmNiv.Ka8|es|P0896 Niv.Alarm.Sobtemp.Ch8";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 124;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0896
{
	SLOT 3;
	INDEX 130;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0896 }
	}
}

WRITE_P0896 LIKE READ_P0896
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0896 }
		REPLY { }
	}
}

VARIABLE P0897
{
	LABEL "P0897 Ch8 Overte.AlarmReset|de|P0897 berhitz.AlarmRes.Ka8|es|P0897 ResetAlarm.Sobtem.Ch8";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 108;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "C";
}

COMMAND READ_P0897
{
	SLOT 3;
	INDEX 131;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0897 }
	}
}

WRITE_P0897 LIKE READ_P0897
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0897 }
		REPLY { }
	}
}

VARIABLE P0898
{
	LABEL "P0898 Ch1-8 Sensors Fault|de|P0898 Sensoren Fehler Ka1-8|es|P0898 Falla Sensores Ch1-8 ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Inactive|de|Aus|es|Inactiva" },
		{ 1, "Fault F109-124|de|FehlerF109-124|es|Falla F109-124" },
		{ 2, "Alarm A109-124|de|Alarm A109-124|es|AlarmaA109-124" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P0898
{
	SLOT 3;
	INDEX 132;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0898 }
	}
}

WRITE_P0898 LIKE READ_P0898
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P0898 }
		REPLY { }
	}
}

VARIABLE P0900
{
	LABEL "P0900 Last Fault|de|P0900 Letzter Fehler|es|P0900 ltima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0900
{
	SLOT 3;
	INDEX 134;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0900 }
	}
}

VARIABLE P0901
{
	LABEL "P0901 Last Fault Day/Month|de|P0901 Tag/Monat letzter F. |es|P0901 Da/Mes Ultima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0901 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0901
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0901 = (P0901&0x00FF) + (P0901>>8)*100; }
}

COMMAND READ_P0901
{
	SLOT 3;
	INDEX 135;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0901 }
	}
}

VARIABLE P0902
{
	LABEL "P0902 Last Fault Year|de|P0902 Jahr letzter Fehler |es|P0902 Ao Ultima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0902
{
	SLOT 3;
	INDEX 136;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0902 }
	}
}

VARIABLE P0903
{
	LABEL "P0903 Last Fault Time|de|P0903 Zeit letzter Fehler|es|P0903 Hora Ultima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0903 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0903
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0903 = (P0903&0x00FF) + (P0903>>8)*100; }
}

COMMAND READ_P0903
{
	SLOT 3;
	INDEX 137;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0903 }
	}
}

VARIABLE P0904
{
	LABEL "P0904 Current At Last Fault|de|P0904 Strom beim letzen F.|es|P0904 Corriente Ult. Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0904
{
	SLOT 3;
	INDEX 138;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0904 }
	}
}

VARIABLE P0905
{
	LABEL "P0905 Line Volt. Last Fault|de|P0905 Netzspannung l. F.|es|P0905 Tensin Ali.Ult.Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0905
{
	SLOT 3;
	INDEX 139;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0905 }
	}
}

VARIABLE P0906
{
	LABEL "P0906 SSW Status Last Fault|de|P0906 StatusLetzterFehler|es|P0906 Estado SSW Ult. Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0906
{
	SLOT 3;
	INDEX 140;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0906 }
	}
}

VARIABLE P0910
{
	LABEL "P0910 Second Fault|de|P0910 Zweiter Fehler|es|P0910 Segundo Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0910
{
	SLOT 3;
	INDEX 144;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0910 }
	}
}

VARIABLE P0911
{
	LABEL "P0911 Second Flt. Day/Month|de|P0911 Tag/Monat 2. Fehler |es|P0911 Da/Mes Segunda Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0911 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0911
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0911 = (P0911&0x00FF) + (P0911>>8)*100; }
}

COMMAND READ_P0911
{
	SLOT 3;
	INDEX 145;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0911 }
	}
}

VARIABLE P0912
{
	LABEL "P0912 Second Fault Year|de|P0912 Jahr 2. Fehler|es|P0912 Ao Segunda Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0912
{
	SLOT 3;
	INDEX 146;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0912 }
	}
}

VARIABLE P0913
{
	LABEL "P0913 Second Fault Time|de|P0913 Zeit 2. Fehler|es|P0913 Hora Segunda Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0913 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0913
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0913 = (P0913&0x00FF) + (P0913>>8)*100; }
}

COMMAND READ_P0913
{
	SLOT 3;
	INDEX 147;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0913 }
	}
}

VARIABLE P0914
{
	LABEL "P0914 Current At 2nd Fault|de|P0914 Strom beim 2. Fehler|es|P0914 Corriente 2da Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0914
{
	SLOT 3;
	INDEX 148;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0914 }
	}
}

VARIABLE P0915
{
	LABEL "P0915 Line Volt. 2nd Fault|de|P0915 Netzspannung 2. Feh.|es|P0915 Tensin Ali.2da Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0915
{
	SLOT 3;
	INDEX 149;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0915 }
	}
}

VARIABLE P0916
{
	LABEL "P0916 SSW Status 2nd Fault|de|P0916 Status 2. Fehler|es|P0916 Estado SSW 2da Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0916
{
	SLOT 3;
	INDEX 150;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0916 }
	}
}

VARIABLE P0920
{
	LABEL "P0920 Third Fault|de|P0920 Dritter Fehler|es|P0920 Tercera Falla   ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0920
{
	SLOT 3;
	INDEX 154;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0920 }
	}
}

VARIABLE P0921
{
	LABEL "P0921 Third Fault Day/Month|de|P0921 Tag/Monat 3. Fehler |es|P0921 Da/Mes Tercera Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0921 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0921
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0921 = (P0921&0x00FF) + (P0921>>8)*100; }
}

COMMAND READ_P0921
{
	SLOT 3;
	INDEX 155;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0921 }
	}
}

VARIABLE P0922
{
	LABEL "P0922 Third Fault Year|de|P0922 Jahr 3. Fehler|es|P0922 Ao Tercera Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0922
{
	SLOT 3;
	INDEX 156;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0922 }
	}
}

VARIABLE P0923
{
	LABEL "P0923 Third Fault Time|de|P0923 Zeit 3. Fehler|es|P0923 Hora Tercera Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0923 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0923
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0923 = (P0923&0x00FF) + (P0923>>8)*100; }
}

COMMAND READ_P0923
{
	SLOT 3;
	INDEX 157;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0923 }
	}
}

VARIABLE P0924
{
	LABEL "P0924 Current At 3rd Fault|de|P0924 Strom beim 3. Fehler|es|P0924 Corriente 3ra Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0924
{
	SLOT 3;
	INDEX 158;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0924 }
	}
}

VARIABLE P0925
{
	LABEL "P0925 Line Volt. 3rd Fault|de|P0925 Netzspannung 3. Feh.|es|P0925 Tensin Ali.3ra Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0925
{
	SLOT 3;
	INDEX 159;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0925 }
	}
}

VARIABLE P0926
{
	LABEL "P0926 SSW Status 3rd Fault|de|P0926 Status 3. Fehler|es|P0926 Estado SSW 3ra Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0926
{
	SLOT 3;
	INDEX 160;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0926 }
	}
}

VARIABLE P0930
{
	LABEL "P0930 Fourth Fault|de|P0930 Vierter Fehler|es|P0930 Cuarta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0930
{
	SLOT 3;
	INDEX 164;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0930 }
	}
}

VARIABLE P0931
{
	LABEL "P0931 Fourth Flt. Day/Month|de|P0931 Tag/Monat 4. Fehler |es|P0931 Da/Mes Cuarta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0931 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0931
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0931 = (P0931&0x00FF) + (P0931>>8)*100; }
}

COMMAND READ_P0931
{
	SLOT 3;
	INDEX 165;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0931 }
	}
}

VARIABLE P0932
{
	LABEL "P0932 Fourth Fault Year|de|P0932 Jahr 4. Fehler|es|P0932 Ao Cuarta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0932
{
	SLOT 3;
	INDEX 166;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0932 }
	}
}

VARIABLE P0933
{
	LABEL "P0933 Fourth Fault Time|de|P0933 Zeit 4. Fehler|es|P0933 Hora Cuarta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0933 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0933
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0933 = (P0933&0x00FF) + (P0933>>8)*100; }
}

COMMAND READ_P0933
{
	SLOT 3;
	INDEX 167;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0933 }
	}
}

VARIABLE P0934
{
	LABEL "P0934 Current At 4rd Fault|de|P0934 Strom beim 4. Fehler|es|P0934 Corriente 4ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0934
{
	SLOT 3;
	INDEX 168;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0934 }
	}
}

VARIABLE P0935
{
	LABEL "P0935 Line Volt. 4rd Fault|de|P0935 Netzspannung 4. Feh.|es|P0935 Tensin Ali.4ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0935
{
	SLOT 3;
	INDEX 169;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0935 }
	}
}

VARIABLE P0936
{
	LABEL "P0936 SSW Status 4rd Fault|de|P0936 Status 4. Fehler|es|P0936 Estado SSW 4ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0936
{
	SLOT 3;
	INDEX 170;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0936 }
	}
}

VARIABLE P0940
{
	LABEL "P0940 Fifth Fault|de|P0940 Fnfter Fehler|es|P0940 Quinta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0940
{
	SLOT 3;
	INDEX 174;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0940 }
	}
}

VARIABLE P0941
{
	LABEL "P0941 Fifth Fault Day/Month|de|P0941 Tag/Monat 5. Fehler |es|P0941 Da/Mes Quinta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0941 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0941
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0941 = (P0941&0x00FF) + (P0941>>8)*100; }
}

COMMAND READ_P0941
{
	SLOT 3;
	INDEX 175;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0941 }
	}
}

VARIABLE P0942
{
	LABEL "P0942 Fifth Fault Year|de|P0942 Jahr 5. Fehler|es|P0942 Ao Quinta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0942
{
	SLOT 3;
	INDEX 176;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0942 }
	}
}

VARIABLE P0943
{
	LABEL "P0943 Fifth Fault Time|de|P0943 Zeit 5. Fehler|es|P0943 Hora Quinta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0943 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0943
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0943 = (P0943&0x00FF) + (P0943>>8)*100; }
}

COMMAND READ_P0943
{
	SLOT 3;
	INDEX 177;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0943 }
	}
}

VARIABLE P0944
{
	LABEL "P0944 Current At 5rd Fault|de|P0944 Strom beim 5. Fehler|es|P0944 Corriente 5ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0944
{
	SLOT 3;
	INDEX 178;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0944 }
	}
}

VARIABLE P0945
{
	LABEL "P0945 Line Volt. 5rd Fault|de|P0945 Netzspannung 5. Feh.|es|P0945 Tensin Ali.5ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0945
{
	SLOT 3;
	INDEX 179;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0945 }
	}
}

VARIABLE P0946
{
	LABEL "P0946 SSW Status 5rd Fault|de|P0946 Status 5. Fehler|es|P0946 Estado SSW 5ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0946
{
	SLOT 3;
	INDEX 180;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0946 }
	}
}

VARIABLE P0950
{
	LABEL "P0950 Sixth Fault|de|P0950 Sechster Fehler|es|P0950 Sexta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0950
{
	SLOT 3;
	INDEX 184;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0950 }
	}
}

VARIABLE P0951
{
	LABEL "P0951 Sixth Fault Day/Month|de|P0951 Tag/Monat 6. Fehler |es|P0951 Da/Mes Sexta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0951 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0951
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0951 = (P0951&0x00FF) + (P0951>>8)*100; }
}

COMMAND READ_P0951
{
	SLOT 3;
	INDEX 185;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0951 }
	}
}

VARIABLE P0952
{
	LABEL "P0952 Sixth Fault Year|de|P0952 Jahr 6. Fehler|es|P0952 Ao Sexta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0952
{
	SLOT 3;
	INDEX 186;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0952 }
	}
}

VARIABLE P0953
{
	LABEL "P0953 Sixth Fault Time|de|P0953 Zeit 6. Fehler|es|P0953 Hora Sexta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0953 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0953
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0953 = (P0953&0x00FF) + (P0953>>8)*100; }
}

COMMAND READ_P0953
{
	SLOT 3;
	INDEX 187;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0953 }
	}
}

VARIABLE P0954
{
	LABEL "P0954 Current At 6rd Fault|de|P0954 Strom beim 6. Fehler|es|P0954 Corriente 6ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0954
{
	SLOT 3;
	INDEX 188;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0954 }
	}
}

VARIABLE P0955
{
	LABEL "P0955 Line Volt. 6rd Fault|de|P0955 Netzspannung 6. Feh.|es|P0955 Tensin Ali.6ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0955
{
	SLOT 3;
	INDEX 189;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0955 }
	}
}

VARIABLE P0956
{
	LABEL "P0956 SSW Status 6rd Fault|de|P0956 Status 6. Fehler|es|P0956 Estado SSW 6ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0956
{
	SLOT 3;
	INDEX 190;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0956 }
	}
}

VARIABLE P0960
{
	LABEL "P0960 Seventh Fault|de|P0960 Siebter Fehler|es|P0960 Sptima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0960
{
	SLOT 3;
	INDEX 194;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0960 }
	}
}

VARIABLE P0961
{
	LABEL "P0961 Seventh Flt.Day/Month|de|P0961 Tag/Monat 7. Fehler |es|P0961 Da/Mes Sptima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0961 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0961
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0961 = (P0961&0x00FF) + (P0961>>8)*100; }
}

COMMAND READ_P0961
{
	SLOT 3;
	INDEX 195;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0961 }
	}
}

VARIABLE P0962
{
	LABEL "P0962 Seventh Fault Year|de|P0962 Jahr 7. Fehler|es|P0962 Ao Sptima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0962
{
	SLOT 3;
	INDEX 196;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0962 }
	}
}

VARIABLE P0963
{
	LABEL "P0963 Seventh Fault Time|de|P0963 Zeit 7. Fehler|es|P0963 Hora Sptima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0963 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0963
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0963 = (P0963&0x00FF) + (P0963>>8)*100; }
}

COMMAND READ_P0963
{
	SLOT 3;
	INDEX 197;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0963 }
	}
}

VARIABLE P0964
{
	LABEL "P0964 Current At 7rd Fault|de|P0964 Strom beim 7. Fehler|es|P0964 Corriente 7ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0964
{
	SLOT 3;
	INDEX 198;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0964 }
	}
}

VARIABLE P0965
{
	LABEL "P0965 Line Volt. 7rd Fault|de|P0965 Netzspannung 7. Feh.|es|P0965 Tensin Ali.7ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0965
{
	SLOT 3;
	INDEX 199;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0965 }
	}
}

VARIABLE P0966
{
	LABEL "P0966 SSW Status 7rd Fault|de|P0966 Status 7. Fehler|es|P0966 Estado SSW 7ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0966
{
	SLOT 3;
	INDEX 200;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0966 }
	}
}

VARIABLE P0970
{
	LABEL "P0970 Eighth Fault|de|P0970 Achter Fehler|es|P0970 Octava Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0970
{
	SLOT 3;
	INDEX 204;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0970 }
	}
}

VARIABLE P0971
{
	LABEL "P0971 Eighth Flt. Day/Month|de|P0971 Tag/Monat 8. Fehler |es|P0971 Da/Mes Octava Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0971 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0971
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0971 = (P0971&0x00FF) + (P0971>>8)*100; }
}

COMMAND READ_P0971
{
	SLOT 3;
	INDEX 205;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0971 }
	}
}

VARIABLE P0972
{
	LABEL "P0972 Eighth Fault Year|de|P0972 Jahr 8. Fehler|es|P0972 Ao Octava Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0972
{
	SLOT 3;
	INDEX 206;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0972 }
	}
}

VARIABLE P0973
{
	LABEL "P0973 Eighth Fault Time|de|P0973 Zeit 8. Fehler|es|P0973 Hora Octava Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0973 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0973
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0973 = (P0973&0x00FF) + (P0973>>8)*100; }
}

COMMAND READ_P0973
{
	SLOT 3;
	INDEX 207;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0973 }
	}
}

VARIABLE P0974
{
	LABEL "P0974 Current At 8rd Fault|de|P0974 Strom beim 8. Fehler|es|P0974 Corriente 8ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0974
{
	SLOT 3;
	INDEX 208;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0974 }
	}
}

VARIABLE P0975
{
	LABEL "P0975 Line Volt. 8rd Fault|de|P0975 Netzspannung 8. Feh.|es|P0975 Tensin Ali.8ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0975
{
	SLOT 3;
	INDEX 209;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0975 }
	}
}

VARIABLE P0976
{
	LABEL "P0976 SSW Status 8rd Fault|de|P0976 Status 8. Fehler|es|P0976 Estado SSW 8ta Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0976
{
	SLOT 3;
	INDEX 210;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0976 }
	}
}

VARIABLE P0980
{
	LABEL "P0980 Ninth Fault|de|P0980 Neunter Fehler|es|P0980 Nona Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0980
{
	SLOT 3;
	INDEX 214;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0980 }
	}
}

VARIABLE P0981
{
	LABEL "P0981 Ninth Fault Day/Month|de|P0981 Tag/Monat 9. Fehler |es|P0981 Da/Mes Nona Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0981 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0981
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0981 = (P0981&0x00FF) + (P0981>>8)*100; }
}

COMMAND READ_P0981
{
	SLOT 3;
	INDEX 215;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0981 }
	}
}

VARIABLE P0982
{
	LABEL "P0982 Ninth Fault Year|de|P0982 Jahr 9. Fehler|es|P0982 Ao Nona Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0982
{
	SLOT 3;
	INDEX 216;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0982 }
	}
}

VARIABLE P0983
{
	LABEL "P0983 Ninth Fault Time|de|P0983 Zeit 9. Fehler|es|P0983 Hora Nona Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0983 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0983
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0983 = (P0983&0x00FF) + (P0983>>8)*100; }
}

COMMAND READ_P0983
{
	SLOT 3;
	INDEX 217;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0983 }
	}
}

VARIABLE P0984
{
	LABEL "P0984 Current At 9rd Fault|de|P0984 Strom beim 9. Fehler|es|P0984 Corriente 9na Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0984
{
	SLOT 3;
	INDEX 218;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0984 }
	}
}

VARIABLE P0985
{
	LABEL "P0985 Line Volt. 9rd Fault|de|P0985 Netzspannung 9. Feh.|es|P0985 Tensin Ali.9na Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0985
{
	SLOT 3;
	INDEX 219;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0985 }
	}
}

VARIABLE P0986
{
	LABEL "P0986 SSW Status 9rd Fault|de|P0986 Status 9. Fehler|es|P0986 Estado SSW 9na Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0986
{
	SLOT 3;
	INDEX 220;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0986 }
	}
}

VARIABLE P0990
{
	LABEL "P0990 Tenth Fault|de|P0990 Zehnter Fehler|es|P0990 Dcima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	HANDLING READ;
}

COMMAND READ_P0990
{
	SLOT 3;
	INDEX 224;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0990 }
	}
}

VARIABLE P0991
{
	LABEL "P0991 Tenth Fault Day/Month|de|P0991 Tag/Monat 10. Fehler |es|P0991 Da/Mes Dcima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0991 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0991
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0991 = (P0991&0x00FF) + (P0991>>8)*100; }
}

COMMAND READ_P0991
{
	SLOT 3;
	INDEX 225;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0991 }
	}
}

VARIABLE P0992
{
	LABEL "P0992 Tenth Fault Year|de|P0992 Jahr 10. Fehler|es|P0992 Ao Dcima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	HANDLING READ;
}

COMMAND READ_P0992
{
	SLOT 3;
	INDEX 226;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0992 }
	}
}

VARIABLE P0993
{
	LABEL "P0993 Tenth Fault Time|de|P0993 Zeit 10. Fehler|es|P0993 Hora Dcima Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

	}
	POST_READ_ACTIONS { ConvertToDateTimeP0993 }
	HELP [DATE_TIME_HELP];
	HANDLING READ;
}

METHOD ConvertToDateTimeP0993
{
	LABEL "Convert to day/month or hour/minute";
	DEFINITION { P0993 = (P0993&0x00FF) + (P0993>>8)*100; }
}

COMMAND READ_P0993
{
	SLOT 3;
	INDEX 227;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0993 }
	}
}

VARIABLE P0994
{
	LABEL "P0994 Current At 10rd Fault|de|P0994 Strom beim 10. Fehler|es|P0994 Corriente 10ma Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P0994
{
	SLOT 3;
	INDEX 228;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0994 }
	}
}

VARIABLE P0995
{
	LABEL "P0995 Line Volt. 10rd Fault|de|P0995 Netzspannung 20.Feh.|es|P0995 Tensin Ali.10a Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 9999;
	}
	CONSTANT_UNIT "V";
	HANDLING READ;
}

COMMAND READ_P0995
{
	SLOT 3;
	INDEX 229;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0995 }
	}
}

VARIABLE P0996
{
	LABEL "P0996 SSW Status 10rd Fault|de|P0996 Status 10. Fehler|es|P0996 Estado SSW 10ma Falla";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "Ready  |de|Bereit|es|Listo" },
		{ 1, "Initial Test|de|Initial Test|es|Test Inicial" },
		{ 2, "Fault|de|Fehler|es|Falla" },
		{ 3, "Ramp Up|de|Hochlauf|es|Rampa Acelera." },
		{ 4, "Full Voltage|de|Volle Spannung|es|Tensin Plena" },
		{ 5, "Bypass|de|Bypass|es|Bypass" },
		{ 6, "Not Used  |de|Ohne Funktion|es|Sin Funcin " },
		{ 7, "Ramp Down |de|Auslauf|es|Rampa Desacel." },
		{ 8, "Braking|de|Bremsen|es|Frenado" },
		{ 9, "FWD/REV |de|Drehrichtung|es|Sentido Giro" },
		{ 10, "Jog|de|Jog |es|Jog " },
		{ 11, "Delay P0831|de|Pause P0831|es|Tiempo de P831" },
		{ 12, "General Disab.|de|G.Abschal.|es|Desabi.General" },
		{ 13, "Configuration|de|Konfiguration|es|Configuracin" },
		{ 14, "Direct On Line|de|Direkstart|es|Arranq.Directo" },
		{ 15, "Warming|de|Heizung|es|Calentamiento" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P0996
{
	SLOT 3;
	INDEX 230;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P0996 }
	}
}

VARIABLE P1000
{
	LABEL "P1000 SoftPLC Status|de|P1000 Status SoftSPS|es|P1000 Estado del SoftPLC";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{
		{ 0, "No Application|de|Ohne Anwendung|es|Sin Aplicativo" },
		{ 1, "Install. App.|de|Installiere|es|Instal. Aplic." },
		{ 2, "Incompat. App.|de|Inkompatibel|es|Aplic. Incomp." },
		{ 3, "App. Stopped|de|Gestopppt|es|Aplic. Parado" },
		{ 4, "App. Running|de|Anwend. luft|es|Aplic. Rodando" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P1000
{
	SLOT 3;
	INDEX 234;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1000 }
	}
}

VARIABLE P1001
{
	LABEL "P1001 SoftPLC Command|de|P1001 SoftSPS Steuerung|es|P1001 Comando para SoftPLC";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{
		{ 0, "Stop Program|de|Progr. stoppen|es|Para Aplic." },
		{ 1, "Run Program|de|Progr. starten|es|Ejecuta Aplic." },
		{ 2, "Delete Program|de|Progr. lschen|es|Exclu Aplic." }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P1001
{
	SLOT 3;
	INDEX 235;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1001 }
	}
}

WRITE_P1001 LIKE READ_P1001
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1001 }
		REPLY { }
	}
}

VARIABLE P1002
{
	LABEL "P1002 Scan Cycle Time|de|P1002 Scanzykluszeit |es|P1002 Tiempo Ciclo de Scan";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	CONSTANT_UNIT "ms";
	HANDLING READ;
}

COMMAND READ_P1002
{
	SLOT 3;
	INDEX 236;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1002 }
	}
}

VARIABLE P1010
{
	LABEL "P1010 SoftPLC Parameter 1|de|P1010 SoftSPS Parameter 1|es|P1010 Parmetro SoftPLC 1";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1010
{
	SLOT 3;
	INDEX 244;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1010 }
	}
}

WRITE_P1010 LIKE READ_P1010
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1010 }
		REPLY { }
	}
}

VARIABLE P1011
{
	LABEL "P1011 SoftPLC Parameter 2|de|P1011 SoftSPS Parameter 2|es|P1011 Parmetro SoftPLC 2";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1011
{
	SLOT 3;
	INDEX 245;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1011 }
	}
}

WRITE_P1011 LIKE READ_P1011
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1011 }
		REPLY { }
	}
}

VARIABLE P1012
{
	LABEL "P1012 SoftPLC Parameter 3|de|P1012 SoftSPS Parameter 3|es|P1012 Parmetro SoftPLC 3";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1012
{
	SLOT 3;
	INDEX 246;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1012 }
	}
}

WRITE_P1012 LIKE READ_P1012
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1012 }
		REPLY { }
	}
}

VARIABLE P1013
{
	LABEL "P1013 SoftPLC Parameter 4|de|P1013 SoftSPS Parameter 4|es|P1013 Parmetro SoftPLC 4";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1013
{
	SLOT 3;
	INDEX 247;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1013 }
	}
}

WRITE_P1013 LIKE READ_P1013
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1013 }
		REPLY { }
	}
}

VARIABLE P1014
{
	LABEL "P1014 SoftPLC Parameter 5|de|P1014 SoftSPS Parameter 5|es|P1014 Parmetro SoftPLC 5";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1014
{
	SLOT 3;
	INDEX 248;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1014 }
	}
}

WRITE_P1014 LIKE READ_P1014
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1014 }
		REPLY { }
	}
}

VARIABLE P1015
{
	LABEL "P1015 SoftPLC Parameter 6|de|P1015 SoftSPS Parameter 6|es|P1015 Parmetro SoftPLC 6";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1015
{
	SLOT 3;
	INDEX 249;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1015 }
	}
}

WRITE_P1015 LIKE READ_P1015
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1015 }
		REPLY { }
	}
}

VARIABLE P1016
{
	LABEL "P1016 SoftPLC Parameter 7|de|P1016 SoftSPS Parameter 7|es|P1016 Parmetro SoftPLC 7";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1016
{
	SLOT 3;
	INDEX 250;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1016 }
	}
}

WRITE_P1016 LIKE READ_P1016
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1016 }
		REPLY { }
	}
}

VARIABLE P1017
{
	LABEL "P1017 SoftPLC Parameter 8|de|P1017 SoftSPS Parameter 8|es|P1017 Parmetro SoftPLC 8";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1017
{
	SLOT 3;
	INDEX 251;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1017 }
	}
}

WRITE_P1017 LIKE READ_P1017
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1017 }
		REPLY { }
	}
}

VARIABLE P1018
{
	LABEL "P1018 SoftPLC Parameter 9|de|P1018 SoftSPS Parameter 9|es|P1018 Parmetro SoftPLC 9";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1018
{
	SLOT 3;
	INDEX 252;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1018 }
	}
}

WRITE_P1018 LIKE READ_P1018
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1018 }
		REPLY { }
	}
}

VARIABLE P1019
{
	LABEL "P1019 SoftPLC Parameter 10|de|P1019 SoftSPS Parameter 10|es|P1019 Parmetro SoftPLC 10";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1019
{
	SLOT 3;
	INDEX 253;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1019 }
	}
}

WRITE_P1019 LIKE READ_P1019
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1019 }
		REPLY { }
	}
}

VARIABLE P1020
{
	LABEL "P1020 SoftPLC Parameter 11|de|P1020 SoftSPS Parameter 11|es|P1020 Parmetro SoftPLC 11";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1020
{
	SLOT 3;
	INDEX 254;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1020 }
	}
}

WRITE_P1020 LIKE READ_P1020
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1020 }
		REPLY { }
	}
}

VARIABLE P1021
{
	LABEL "P1021 SoftPLC Parameter 12|de|P1021 SoftSPS Parameter 12|es|P1021 Parmetro SoftPLC 12";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1021
{
	SLOT 4;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1021 }
	}
}

WRITE_P1021 LIKE READ_P1021
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1021 }
		REPLY { }
	}
}

VARIABLE P1022
{
	LABEL "P1022 SoftPLC Parameter 13|de|P1022 SoftSPS Parameter 13|es|P1022 Parmetro SoftPLC 13";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1022
{
	SLOT 4;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1022 }
	}
}

WRITE_P1022 LIKE READ_P1022
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1022 }
		REPLY { }
	}
}

VARIABLE P1023
{
	LABEL "P1023 SoftPLC Parameter 14|de|P1023 SoftSPS Parameter 14|es|P1023 Parmetro SoftPLC 14";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1023
{
	SLOT 4;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1023 }
	}
}

WRITE_P1023 LIKE READ_P1023
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1023 }
		REPLY { }
	}
}

VARIABLE P1024
{
	LABEL "P1024 SoftPLC Parameter 15|de|P1024 SoftSPS Parameter 15|es|P1024 Parmetro SoftPLC 15";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1024
{
	SLOT 4;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1024 }
	}
}

WRITE_P1024 LIKE READ_P1024
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1024 }
		REPLY { }
	}
}

VARIABLE P1025
{
	LABEL "P1025 SoftPLC Parameter 16|de|P1025 SoftSPS Parameter 16|es|P1025 Parmetro SoftPLC 16";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1025
{
	SLOT 4;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1025 }
	}
}

WRITE_P1025 LIKE READ_P1025
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1025 }
		REPLY { }
	}
}

VARIABLE P1026
{
	LABEL "P1026 SoftPLC Parameter 17|de|P1026 SoftSPS Parameter 17|es|P1026 Parmetro SoftPLC 17";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1026
{
	SLOT 4;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1026 }
	}
}

WRITE_P1026 LIKE READ_P1026
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1026 }
		REPLY { }
	}
}

VARIABLE P1027
{
	LABEL "P1027 SoftPLC Parameter 18|de|P1027 SoftSPS Parameter 18|es|P1027 Parmetro SoftPLC 18";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1027
{
	SLOT 4;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1027 }
	}
}

WRITE_P1027 LIKE READ_P1027
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1027 }
		REPLY { }
	}
}

VARIABLE P1028
{
	LABEL "P1028 SoftPLC Parameter 19|de|P1028 SoftSPS Parameter 19|es|P1028 Parmetro SoftPLC 19";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1028
{
	SLOT 4;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1028 }
	}
}

WRITE_P1028 LIKE READ_P1028
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1028 }
		REPLY { }
	}
}

VARIABLE P1029
{
	LABEL "P1029 SoftPLC Parameter 20|de|P1029 SoftSPS Parameter 20|es|P1029 Parmetro SoftPLC 20";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1029
{
	SLOT 4;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1029 }
	}
}

WRITE_P1029 LIKE READ_P1029
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1029 }
		REPLY { }
	}
}

VARIABLE P1030
{
	LABEL "P1030 SoftPLC Parameter 21|de|P1030 SoftSPS Parameter 21|es|P1030 Parmetro SoftPLC 21";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1030
{
	SLOT 4;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1030 }
	}
}

WRITE_P1030 LIKE READ_P1030
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1030 }
		REPLY { }
	}
}

VARIABLE P1031
{
	LABEL "P1031 SoftPLC Parameter 22|de|P1031 SoftSPS Parameter 22|es|P1031 Parmetro SoftPLC 22";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1031
{
	SLOT 4;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1031 }
	}
}

WRITE_P1031 LIKE READ_P1031
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1031 }
		REPLY { }
	}
}

VARIABLE P1032
{
	LABEL "P1032 SoftPLC Parameter 23|de|P1032 SoftSPS Parameter 23|es|P1032 Parmetro SoftPLC 23";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1032
{
	SLOT 4;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1032 }
	}
}

WRITE_P1032 LIKE READ_P1032
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1032 }
		REPLY { }
	}
}

VARIABLE P1033
{
	LABEL "P1033 SoftPLC Parameter 24|de|P1033 SoftSPS Parameter 24|es|P1033 Parmetro SoftPLC 24";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1033
{
	SLOT 4;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1033 }
	}
}

WRITE_P1033 LIKE READ_P1033
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1033 }
		REPLY { }
	}
}

VARIABLE P1034
{
	LABEL "P1034 SoftPLC Parameter 25|de|P1034 SoftSPS Parameter 25|es|P1034 Parmetro SoftPLC 25";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1034
{
	SLOT 4;
	INDEX 13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1034 }
	}
}

WRITE_P1034 LIKE READ_P1034
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1034 }
		REPLY { }
	}
}

VARIABLE P1035
{
	LABEL "P1035 SoftPLC Parameter 26|de|P1035 SoftSPS Parameter 26|es|P1035 Parmetro SoftPLC 26";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1035
{
	SLOT 4;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1035 }
	}
}

WRITE_P1035 LIKE READ_P1035
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1035 }
		REPLY { }
	}
}

VARIABLE P1036
{
	LABEL "P1036 SoftPLC Parameter 27|de|P1036 SoftSPS Parameter 27|es|P1036 Parmetro SoftPLC 27";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1036
{
	SLOT 4;
	INDEX 15;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1036 }
	}
}

WRITE_P1036 LIKE READ_P1036
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1036 }
		REPLY { }
	}
}

VARIABLE P1037
{
	LABEL "P1037 SoftPLC Parameter 28|de|P1037 SoftSPS Parameter 28|es|P1037 Parmetro SoftPLC 28";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1037
{
	SLOT 4;
	INDEX 16;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1037 }
	}
}

WRITE_P1037 LIKE READ_P1037
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1037 }
		REPLY { }
	}
}

VARIABLE P1038
{
	LABEL "P1038 SoftPLC Parameter 29|de|P1038 SoftSPS Parameter 29|es|P1038 Parmetro SoftPLC 29";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1038
{
	SLOT 4;
	INDEX 17;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1038 }
	}
}

WRITE_P1038 LIKE READ_P1038
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1038 }
		REPLY { }
	}
}

VARIABLE P1039
{
	LABEL "P1039 SoftPLC Parameter 30|de|P1039 SoftSPS Parameter 30|es|P1039 Parmetro SoftPLC 30";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1039
{
	SLOT 4;
	INDEX 18;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1039 }
	}
}

WRITE_P1039 LIKE READ_P1039
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1039 }
		REPLY { }
	}
}

VARIABLE P1040
{
	LABEL "P1040 SoftPLC Parameter 31|de|P1040 SoftSPS Parameter 31|es|P1040 Parmetro SoftPLC 31";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1040
{
	SLOT 4;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1040 }
	}
}

WRITE_P1040 LIKE READ_P1040
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1040 }
		REPLY { }
	}
}

VARIABLE P1041
{
	LABEL "P1041 SoftPLC Parameter 32|de|P1041 SoftSPS Parameter 32|es|P1041 Parmetro SoftPLC 32";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1041
{
	SLOT 4;
	INDEX 20;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1041 }
	}
}

WRITE_P1041 LIKE READ_P1041
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1041 }
		REPLY { }
	}
}

VARIABLE P1042
{
	LABEL "P1042 SoftPLC Parameter 33|de|P1042 SoftSPS Parameter 33|es|P1042 Parmetro SoftPLC 33";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1042
{
	SLOT 4;
	INDEX 21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1042 }
	}
}

WRITE_P1042 LIKE READ_P1042
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1042 }
		REPLY { }
	}
}

VARIABLE P1043
{
	LABEL "P1043 SoftPLC Parameter 34|de|P1043 SoftSPS Parameter 34|es|P1043 Parmetro SoftPLC 34";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1043
{
	SLOT 4;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1043 }
	}
}

WRITE_P1043 LIKE READ_P1043
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1043 }
		REPLY { }
	}
}

VARIABLE P1044
{
	LABEL "P1044 SoftPLC Parameter 35|de|P1044 SoftSPS Parameter 35|es|P1044 Parmetro SoftPLC 35";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1044
{
	SLOT 4;
	INDEX 23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1044 }
	}
}

WRITE_P1044 LIKE READ_P1044
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1044 }
		REPLY { }
	}
}

VARIABLE P1045
{
	LABEL "P1045 SoftPLC Parameter 36|de|P1045 SoftSPS Parameter 36|es|P1045 Parmetro SoftPLC 36";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1045
{
	SLOT 4;
	INDEX 24;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1045 }
	}
}

WRITE_P1045 LIKE READ_P1045
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1045 }
		REPLY { }
	}
}

VARIABLE P1046
{
	LABEL "P1046 SoftPLC Parameter 37|de|P1046 SoftSPS Parameter 37|es|P1046 Parmetro SoftPLC 37";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1046
{
	SLOT 4;
	INDEX 25;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1046 }
	}
}

WRITE_P1046 LIKE READ_P1046
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1046 }
		REPLY { }
	}
}

VARIABLE P1047
{
	LABEL "P1047 SoftPLC Parameter 38|de|P1047 SoftSPS Parameter 38|es|P1047 Parmetro SoftPLC 38";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1047
{
	SLOT 4;
	INDEX 26;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1047 }
	}
}

WRITE_P1047 LIKE READ_P1047
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1047 }
		REPLY { }
	}
}

VARIABLE P1048
{
	LABEL "P1048 SoftPLC Parameter 39|de|P1048 SoftSPS Parameter 39|es|P1048 Parmetro SoftPLC 39";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1048
{
	SLOT 4;
	INDEX 27;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1048 }
	}
}

WRITE_P1048 LIKE READ_P1048
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1048 }
		REPLY { }
	}
}

VARIABLE P1049
{
	LABEL "P1049 SoftPLC Parameter 40|de|P1049 SoftSPS Parameter 40|es|P1049 Parmetro SoftPLC 40";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1049
{
	SLOT 4;
	INDEX 28;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1049 }
	}
}

WRITE_P1049 LIKE READ_P1049
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1049 }
		REPLY { }
	}
}

VARIABLE P1050
{
	LABEL "P1050 SoftPLC Parameter 41|de|P1050 SoftSPS Parameter 41|es|P1050 Parmetro SoftPLC 41";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1050
{
	SLOT 4;
	INDEX 29;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1050 }
	}
}

WRITE_P1050 LIKE READ_P1050
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1050 }
		REPLY { }
	}
}

VARIABLE P1051
{
	LABEL "P1051 SoftPLC Parameter 42|de|P1051 SoftSPS Parameter 42|es|P1051 Parmetro SoftPLC 42";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1051
{
	SLOT 4;
	INDEX 30;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1051 }
	}
}

WRITE_P1051 LIKE READ_P1051
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1051 }
		REPLY { }
	}
}

VARIABLE P1052
{
	LABEL "P1052 SoftPLC Parameter 43|de|P1052 SoftSPS Parameter 43|es|P1052 Parmetro SoftPLC 43";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1052
{
	SLOT 4;
	INDEX 31;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1052 }
	}
}

WRITE_P1052 LIKE READ_P1052
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1052 }
		REPLY { }
	}
}

VARIABLE P1053
{
	LABEL "P1053 SoftPLC Parameter 44|de|P1053 SoftSPS Parameter 44|es|P1053 Parmetro SoftPLC 44";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1053
{
	SLOT 4;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1053 }
	}
}

WRITE_P1053 LIKE READ_P1053
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1053 }
		REPLY { }
	}
}

VARIABLE P1054
{
	LABEL "P1054 SoftPLC Parameter 45|de|P1054 SoftSPS Parameter 45|es|P1054 Parmetro SoftPLC 45";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1054
{
	SLOT 4;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1054 }
	}
}

WRITE_P1054 LIKE READ_P1054
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1054 }
		REPLY { }
	}
}

VARIABLE P1055
{
	LABEL "P1055 SoftPLC Parameter 46|de|P1055 SoftSPS Parameter 46|es|P1055 Parmetro SoftPLC 46";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1055
{
	SLOT 4;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1055 }
	}
}

WRITE_P1055 LIKE READ_P1055
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1055 }
		REPLY { }
	}
}

VARIABLE P1056
{
	LABEL "P1056 SoftPLC Parameter 47|de|P1056 SoftSPS Parameter 47|es|P1056 Parmetro SoftPLC 47";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1056
{
	SLOT 4;
	INDEX 35;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1056 }
	}
}

WRITE_P1056 LIKE READ_P1056
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1056 }
		REPLY { }
	}
}

VARIABLE P1057
{
	LABEL "P1057 SoftPLC Parameter 48|de|P1057 SoftSPS Parameter 48|es|P1057 Parmetro SoftPLC 48";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1057
{
	SLOT 4;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1057 }
	}
}

WRITE_P1057 LIKE READ_P1057
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1057 }
		REPLY { }
	}
}

VARIABLE P1058
{
	LABEL "P1058 SoftPLC Parameter 49|de|P1058 SoftSPS Parameter 49|es|P1058 Parmetro SoftPLC 49";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1058
{
	SLOT 4;
	INDEX 37;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1058 }
	}
}

WRITE_P1058 LIKE READ_P1058
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1058 }
		REPLY { }
	}
}

VARIABLE P1059
{
	LABEL "P1059 SoftPLC Parameter 50|de|P1059 SoftSPS Parameter 50|es|P1059 Parmetro SoftPLC 50";
	CLASS CONTAINED;
	TYPE INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE -32768;
		MAX_VALUE 32767;
	}
}

COMMAND READ_P1059
{
	SLOT 4;
	INDEX 38;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P1059 }
	}
}

WRITE_P1059 LIKE READ_P1059
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P1059 }
		REPLY { }
	}
}











